* sm_ini.F
* all parameters for the Standard Model are initialized here
* this file is part of FormCalc
* last changed 10 Oct 00 th


	subroutine model_ini(Ecms, reset, *)
	implicit none
	double precision Ecms
	logical reset

	double precision ALPHAS2
	external ALPHAS2

#include "model.h"

	data CKM /
     +    1, 0, 0,
     +    0, 1, 0,
     +    0, 0, 1 /

	Alfas = ALPHAS2(Ecms)
	Alfas2 = Alfas**2

	if(.not. reset) return

	EL = sqrt(4*pi*Alfa)

* boson masses

	MH2 = MH**2
	SW = sqrt(SW2)

* fermion masses

	MLE(1) = ME
	MLE(2) = MM
	MLE(3) = ML
	MLE2(1) = ME2
	MLE2(2) = MM2
	MLE2(3) = ML2

	MQU(1) = MU
	MQU(2) = MC
	MQU(3) = MT
	MQU2(1) = MU2
	MQU2(2) = MC2
	MQU2(3) = MT2

	MQD(1) = MD
	MQD(2) = MS
	MQD(3) = MB
	MQD2(1) = MD2
	MQD2(2) = MS2
	MQD2(3) = MB2

#ifdef DEBUG

	print *, "============================"
	print *, "SM parameters"
	print *, "----------------------------"
	print *, "1/alpha =", 1/Alfa
	print *, "alpha_s(s) =", Alfas
	print *, "Gmue =", Gmue
	print *, "SW2 =", SW2
	print *, "----------------------------"
	print *, "Gauge-boson masses:"
	print *, "MW =", MW
	print *, "MZ =", MZ
	print *, "----------------------------"
	print *, "Fermion masses:"
	print *, "ME =", ME
	print *, "MM =", MM
	print *, "ML =", ML
	print *, "MU =", MU
	print *, "MC =", MC
	print *, "MT =", MT
	print *, "MD =", MD
	print *, "MS =", MS
	print *, "MB =", MB
	print *, "----------------------------"
	print *, "Higgs mass:"
	print *, "MH =", MH
	print *, "============================"

#endif

	end

* run.F
* defines parameter settings for one run, then includes num.F
* this file is part of FormCalc
* last modified 9 Aug 00 th


* Whether to run in debugging mode

*#define DEBUG

* Uncomment the following to check UV- and IR-finiteness

*#define DELTA 1D10
*#define MUDIM 1D100
*#define LAMBDA 1D10

* The variables in VAROUT are written out as comments into the
* data file using the format VARFMT

#define VAROUT MH
#define VARFMT "# MH=", F10.2

* You can define LOOP[1..10] for scanning the parameter space. LOOP1
* will be the outermost loop. Do not remove #defines which are not
* needed. Note that all loops terminate at label 1, e.g.
*	#define LOOP1 do 1 MH = 100, 500, 200
* For a fixed parameter, use something like #define LOOP1 MH = 300.

#define LOOP1 MH = 100
#define LOOP2
#define LOOP3
#define LOOP4
#define LOOP5
#define LOOP6
#define LOOP7
#define LOOP8
#define LOOP9
#define LOOP10

* The angular cutoff

#define CUTOFF (10*degree)

* The increment in angle and energy

#ifdef DEBUG
#define THETASTEP (125*degree)
#else
#define THETASTEP (1*degree)
#endif

#define ECMSSTEP 10

* The number of sampling points for the Gaussian integration

#define GAUSSPOINTS 16


* Now go for it:

#include "num.F"

	subroutine born
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"

        Ctree(1) = Ctree(1) + (8*Alfa*Pi)/SW2*Abb20 - 
     -   (4*Alfa*Pi)/SW2*AbbSum3 - 
     -   (4*Alfa*MW2*Pi)/SW2*Abb1/(-MH2 + S) - 
     -   (4*Alfa*MW2*Pi)/SW2*Abb14/(-MH2 + T) + 
     -   (16*Alfa*Pi*(AbbSum2*S) + 4*Alfa*Pi*(Abb14*(-S + U)))/T + 
     -   ((16*Alfa*CW2*Pi)/SW2*(AbbSum2*S) + 
     -      (4*Alfa*CW2*Pi)/SW2*(Abb14*(-S + U)))/(-MZ2 + T) - 
     -   (16*Alfa*Pi*(AbbSum1*S) - 4*Alfa*Pi*(Abb1*(-T + U)))/S - 
     -   ((16*Alfa*CW2*Pi)/SW2*(AbbSum1*S) - 
     -      (4*Alfa*CW2*Pi)/SW2*(Abb1*(-T + U)))/(-MZ2 + S)

	end

	subroutine abbr_s
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"

	Scale = 1/Sqrt(S)
	cint3 = B0(S,0.D0,0.D0)
	cint4 = B0(S,0.D0,MZ2)
	cint5 = B0(S,MH2,MH2)
	cint6 = B0(S,MW2,MW2)
	cint7 = B0(S,MZ2,MZ2)
	cint14 = B0(MW2,0.D0,MW2)
	cint15 = B0(MW2,MW2,MZ2)
	cint37 = B00(S,0.D0,0.D0)
	cint38 = B1(S,0.D0,0.D0)
	cint41 = A0(MW2)
	cint42 = B00(S,MW2,MW2)
	cint43 = B1(S,MW2,MW2)
	cint44 = A0(MH2)
	cint45 = A0(MZ2)
	cint46 = B1(S,MZ2,MZ2)
	cint47 = B0(S,MH2,MZ2)
	cint48 = B00(S,MH2,MZ2)
	cint54 = B1(MW2,0.D0,MW2)
	cint55 = B1(MW2,MZ2,MW2)
	cint56 = B0(MW2,MH2,MW2)
	iint9 = Cget(MW2,S,MW2,0.D0,MW2,MW2)
	iint10 = Cget(MW2,S,MW2,MW2,0.D0,0.D0)
	iint11 = Cget(MW2,S,MW2,MW2,MH2,MH2)
	iint12 = Cget(MW2,S,MW2,MW2,0.D0,MZ2)
	iint13 = Cget(MW2,S,MW2,MW2,MZ2,0.D0)
	iint14 = Cget(MW2,S,MW2,MW2,MZ2,MZ2)
	iint15 = Cget(MW2,S,MW2,MZ2,MW2,MW2)
	iint17 = Cget(MW2,S,MW2,MH2,MW2,MW2)
	iint28 = Cget(S,MW2,MW2,0.D0,0.D0,MW2)
	iint29 = Cget(S,MW2,MW2,0.D0,MZ2,MW2)
	iint30 = Cget(S,MW2,MW2,0.D0,MH2,MW2)
	iint31 = Cget(S,MW2,MW2,MH2,0.D0,MW2)
	iint32 = Cget(S,MW2,MW2,MW2,MW2,0.D0)
	iint33 = Cget(S,MW2,MW2,MW2,MW2,MH2)
	iint34 = Cget(S,MW2,MW2,MW2,MW2,MZ2)
	iint35 = Cget(S,MW2,MW2,MZ2,0.D0,MW2)
	iint36 = Cget(S,MW2,MW2,MH2,MZ2,MW2)
	iint37 = Cget(S,MW2,MW2,MZ2,MH2,MW2)
	iint38 = Cget(S,MW2,MW2,MZ2,MZ2,MW2)
	iint91 = Cget(MW2,S,MW2,MW2,MH2,MZ2)
	iint92 = Cget(MW2,S,MW2,MW2,MZ2,MH2)

	do Gen1 = 1, 3
	cint1(Gen1) = B0(MW2,0.D0,MLE2(Gen1))
	cint2(Gen1) = B0(MW2,MQD2(Gen1),MQU2(Gen1))
	cint16(Gen1) = A0(MLE2(Gen1))
	cint17(Gen1) = A0(MQD2(Gen1))
	cint18(Gen1) = A0(MQU2(Gen1))
	cint19(Gen1) = B00(S,MLE2(Gen1),MLE2(Gen1))
	cint20(Gen1) = B00(S,MQD2(Gen1),MQD2(Gen1))
	cint21(Gen1) = B00(S,MQU2(Gen1),MQU2(Gen1))
	cint22(Gen1) = B1(S,MLE2(Gen1),MLE2(Gen1))
	cint23(Gen1) = B1(S,MQD2(Gen1),MQD2(Gen1))
	cint24(Gen1) = B1(S,MQU2(Gen1),MQU2(Gen1))
	cint31(Gen1) = B0(S,MLE2(Gen1),MLE2(Gen1))
	cint32(Gen1) = B0(S,MQD2(Gen1),MQD2(Gen1))
	cint33(Gen1) = B0(S,MQU2(Gen1),MQU2(Gen1))
	iint1(Gen1) = Cget(S,MW2,MW2,0.D0,0.D0,MLE2(Gen1))
	iint2(Gen1) = Cget(S,MW2,MW2,MLE2(Gen1),MLE2(Gen1),0.D0)
	iint3(Gen1) = Cget(S,MW2,MW2,MQD2(Gen1),MQD2(Gen1),MQU2(Gen1))
	iint4(Gen1) = Cget(S,MW2,MW2,MQU2(Gen1),MQU2(Gen1),MQD2(Gen1))
	iint83(Gen1) = Cget(MW2,S,MW2,0.D0,MLE2(Gen1),MLE2(Gen1))
	iint84(Gen1) = Cget(MW2,S,MW2,MQU2(Gen1),MQD2(Gen1),MQD2(Gen1))
	iint85(Gen1) = Cget(MW2,S,MW2,MQD2(Gen1),MQU2(Gen1),MQU2(Gen1))
	iint90(Gen1) = Cget(MW2,S,MW2,MLE2(Gen1),0.D0,0.D0)
	enddo
	end

	subroutine abbr_hel
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"
	double complex Pair, Eps
	external Pair, Eps

	Pair1 = Pair(2 + Hel1,6 + Hel2)
	Pair7 = Pair(2 + Hel1,10 + Hel3)
	Pair9 = Pair(2 + Hel1,14 + Hel4)
	Pair10 = Scale*Pair(2 + Hel1,5)
	Pair14 = Scale*Pair(2 + Hel1,9)
	Pair11 = Pair(6 + Hel2,10 + Hel3)
	Pair12 = Pair(6 + Hel2,14 + Hel4)
	Pair8 = Scale*Pair(6 + Hel2,1)
	Pair13 = Scale*Pair(6 + Hel2,9)
	Pair2 = Pair(10 + Hel3,14 + Hel4)
	Pair3 = Scale*Pair(10 + Hel3,1)
	Pair5 = Scale*Pair(10 + Hel3,5)
	Pair6 = Scale*Pair(14 + Hel4,1)
	Pair4 = Scale*Pair(14 + Hel4,5)
	Eps35 = Eps(2 + Hel1,6 + Hel2,10 + Hel3,14 + Hel4)
	Eps10 = Scale*Eps(2 + Hel1,6 + Hel2,10 + Hel3,1)
	Eps11 = Scale*Eps(2 + Hel1,6 + Hel2,10 + Hel3,5)
	Eps33 = Scale*Eps(2 + Hel1,6 + Hel2,10 + Hel3,9)
	Eps12 = Scale*Eps(2 + Hel1,6 + Hel2,14 + Hel4,1)
	Eps13 = Scale*Eps(2 + Hel1,6 + Hel2,14 + Hel4,5)
	Eps34 = Scale*Eps(2 + Hel1,6 + Hel2,14 + Hel4,9)
	Eps14 = Scale**2*Eps(2 + Hel1,6 + Hel2,1,5)
	Eps15 = Scale**2*Eps(2 + Hel1,6 + Hel2,1,9)
	Eps16 = Scale**2*Eps(2 + Hel1,6 + Hel2,5,9)
	Eps1 = Scale*Eps(2 + Hel1,10 + Hel3,14 + Hel4,1)
	Eps2 = Scale*Eps(2 + Hel1,10 + Hel3,14 + Hel4,5)
	Eps3 = Scale*Eps(2 + Hel1,10 + Hel3,14 + Hel4,9)
	Eps27 = Scale**2*Eps(2 + Hel1,10 + Hel3,1,5)
	Eps17 = Scale**2*Eps(2 + Hel1,10 + Hel3,1,9)
	Eps18 = Scale**2*Eps(2 + Hel1,10 + Hel3,5,9)
	Eps28 = Scale**2*Eps(2 + Hel1,14 + Hel4,1,5)
	Eps19 = Scale**2*Eps(2 + Hel1,14 + Hel4,1,9)
	Eps20 = Scale**2*Eps(2 + Hel1,14 + Hel4,5,9)
	Eps29 = Scale**3*Eps(2 + Hel1,1,5,9)
	Eps4 = Scale*Eps(6 + Hel2,10 + Hel3,14 + Hel4,1)
	Eps5 = Scale*Eps(6 + Hel2,10 + Hel3,14 + Hel4,5)
	Eps6 = Scale*Eps(6 + Hel2,10 + Hel3,14 + Hel4,9)
	Eps30 = Scale**2*Eps(6 + Hel2,10 + Hel3,1,5)
	Eps21 = Scale**2*Eps(6 + Hel2,10 + Hel3,1,9)
	Eps22 = Scale**2*Eps(6 + Hel2,10 + Hel3,5,9)
	Eps31 = Scale**2*Eps(6 + Hel2,14 + Hel4,1,5)
	Eps23 = Scale**2*Eps(6 + Hel2,14 + Hel4,1,9)
	Eps24 = Scale**2*Eps(6 + Hel2,14 + Hel4,5,9)
	Eps32 = Scale**3*Eps(6 + Hel2,1,5,9)
	Eps7 = Scale**2*Eps(10 + Hel3,14 + Hel4,1,5)
	Eps8 = Scale**2*Eps(10 + Hel3,14 + Hel4,1,9)
	Eps9 = Scale**2*Eps(10 + Hel3,14 + Hel4,5,9)
	Eps25 = Scale**3*Eps(10 + Hel3,1,5,9)
	Eps26 = Scale**3*Eps(14 + Hel4,1,5,9)
	Abb44 = Eps7*Pair1
	Abb45 = Eps8*Pair1
	Abb46 = Eps9*Pair1
	Abb41 = Eps4*Pair10
	Abb42 = Eps5*Pair10
	Abb43 = Eps6*Pair10
	Abb150 = Eps19*Pair11
	Abb143 = Eps28*Pair11
	Abb98 = Eps17*Pair12
	Abb99 = Eps18*Pair12
	Abb97 = Eps27*Pair12
	Abb134 = Eps25*Pair10*Pair12
	Abb95 = Eps1*Pair13
	Abb96 = Eps3*Pair13
	Abb147 = Eps7*Pair10*Pair13
	Abb88 = Eps8*Pair10*Pair13
	Abb90 = Eps9*Pair10*Pair13
	Abb101 = Eps4*Pair14
	Abb102 = Eps5*Pair14
	Abb103 = Eps6*Pair14
	Abb110 = Eps25*Pair12*Pair14
	Abb116 = Eps7*Pair13*Pair14
	Abb109 = Eps8*Pair13*Pair14
	Abb117 = Eps9*Pair13*Pair14
	Abb55 = Eps14*Pair2
	Abb56 = Eps15*Pair2
	Abb57 = Eps16*Pair2
	Abb1 = Pair1*Pair2
	Abb87 = Eps32*Pair10*Pair2
	Abb152 = Eps29*Pair13*Pair2
	Abb12 = Pair10*Pair13*Pair2
	Abb19 = Pair13*Pair14*Pair2
	Abb51 = Eps12*Pair3
	Abb53 = Eps13*Pair3
	Abb100 = Eps34*Pair3
	Abb76 = Eps26*Pair1*Pair3
	Abb70 = Eps23*Pair10*Pair3
	Abb72 = Eps24*Pair10*Pair3
	Abb85 = Eps31*Pair10*Pair3
	Abb122 = Eps29*Pair12*Pair3
	Abb10 = Pair10*Pair12*Pair3
	Abb121 = Eps19*Pair13*Pair3
	Abb112 = Eps20*Pair13*Pair3
	Abb111 = Eps28*Pair13*Pair3
	Abb140 = Eps24*Pair14*Pair3
	Abb132 = Eps31*Pair14*Pair3
	Abb34 = Pair12*Pair14*Pair3
	Abb48 = Eps10*Pair4
	Abb50 = Eps11*Pair4
	Abb94 = Eps33*Pair4
	Abb75 = Eps25*Pair1*Pair4
	Abb67 = Eps21*Pair10*Pair4
	Abb69 = Eps22*Pair10*Pair4
	Abb84 = Eps30*Pair10*Pair4
	Abb145 = Eps29*Pair11*Pair4
	Abb9 = Pair10*Pair11*Pair4
	Abb149 = Eps17*Pair13*Pair4
	Abb142 = Eps27*Pair13*Pair4
	Abb108 = Eps21*Pair14*Pair4
	Abb125 = Eps22*Pair14*Pair4
	Abb124 = Eps30*Pair14*Pair4
	Abb17 = Pair11*Pair14*Pair4
	Abb92 = Eps14*Pair3*Pair4
	Abb120 = Eps15*Pair3*Pair4
	Abb123 = Eps16*Pair3*Pair4
	Abb2 = Pair1*Pair3*Pair4
	Abb25 = Pair10*Pair13*Pair3*Pair4
	Abb138 = Pair13*Pair14*Pair3*Pair4
	Abb52 = Eps12*Pair5
	Abb54 = Eps13*Pair5
	Abb77 = Eps26*Pair1*Pair5
	Abb71 = Eps23*Pair10*Pair5
	Abb73 = Eps24*Pair10*Pair5
	Abb86 = Eps31*Pair10*Pair5
	Abb146 = Eps29*Pair12*Pair5
	Abb11 = Pair10*Pair12*Pair5
	Abb151 = Eps19*Pair13*Pair5
	Abb144 = Eps28*Pair13*Pair5
	Abb114 = Eps24*Pair14*Pair5
	Abb113 = Eps31*Pair14*Pair5
	Abb18 = Pair12*Pair14*Pair5
	Abb141 = Eps14*Pair4*Pair5
	Abb148 = Eps15*Pair4*Pair5
	Abb23 = Pair1*Pair4*Pair5
	Abb27 = Pair10*Pair13*Pair4*Pair5
	Abb37 = Pair13*Pair14*Pair4*Pair5
	Abb47 = Eps10*Pair6
	Abb49 = Eps11*Pair6
	Abb129 = Eps33*Pair6
	Abb74 = Eps25*Pair1*Pair6
	Abb66 = Eps21*Pair10*Pair6
	Abb68 = Eps22*Pair10*Pair6
	Abb83 = Eps30*Pair10*Pair6
	Abb8 = Pair10*Pair11*Pair6
	Abb107 = Eps17*Pair13*Pair6
	Abb137 = Eps27*Pair13*Pair6
	Abb128 = Pair11*Pair14*Pair6
	Abb22 = Pair1*Pair3*Pair6
	Abb24 = Pair10*Pair13*Pair3*Pair6
	Abb36 = Pair13*Pair14*Pair3*Pair6
	Abb93 = Eps14*Pair5*Pair6
	Abb3 = Pair1*Pair5*Pair6
	Abb26 = Pair10*Pair13*Pair5*Pair6
	Abb139 = Pair13*Pair14*Pair5*Pair6
	Abb105 = Eps23*Pair7
	Abb106 = Eps24*Pair7
	Abb104 = Eps31*Pair7
	Abb14 = Pair12*Pair7
	Abb119 = Eps26*Pair13*Pair7
	Abb126 = Eps32*Pair4*Pair7
	Abb35 = Pair13*Pair4*Pair7
	Abb15 = Pair13*Pair6*Pair7
	Abb38 = Eps1*Pair8
	Abb39 = Eps2*Pair8
	Abb40 = Eps3*Pair8
	Abb135 = Eps7*Pair10*Pair8
	Abb131 = Eps8*Pair10*Pair8
	Abb136 = Eps9*Pair10*Pair8
	Abb115 = Eps7*Pair14*Pair8
	Abb89 = Eps8*Pair14*Pair8
	Abb91 = Eps9*Pair14*Pair8
	Abb82 = Eps29*Pair2*Pair8
	Abb21 = Pair10*Pair2*Pair8
	Abb13 = Pair14*Pair2*Pair8
	Abb62 = Eps19*Pair3*Pair8
	Abb64 = Eps20*Pair3*Pair8
	Abb80 = Eps28*Pair3*Pair8
	Abb59 = Eps17*Pair4*Pair8
	Abb61 = Eps18*Pair4*Pair8
	Abb79 = Eps27*Pair4*Pair8
	Abb32 = Pair10*Pair3*Pair4*Pair8
	Abb29 = Pair14*Pair3*Pair4*Pair8
	Abb63 = Eps19*Pair5*Pair8
	Abb65 = Eps20*Pair5*Pair8
	Abb81 = Eps28*Pair5*Pair8
	Abb133 = Pair10*Pair4*Pair5*Pair8
	Abb31 = Pair14*Pair4*Pair5*Pair8
	Abb58 = Eps17*Pair6*Pair8
	Abb60 = Eps18*Pair6*Pair8
	Abb78 = Eps27*Pair6*Pair8
	Abb130 = Pair10*Pair3*Pair6*Pair8
	Abb28 = Pair14*Pair3*Pair6*Pair8
	Abb33 = Pair10*Pair5*Pair6*Pair8
	Abb30 = Pair14*Pair5*Pair6*Pair8
	Abb118 = Eps26*Pair7*Pair8
	Abb5 = Pair4*Pair7*Pair8
	Abb4 = Pair6*Pair7*Pair8
	Abb20 = Pair11*Pair9
	Abb16 = Pair13*Pair3*Pair9
	Abb127 = Pair13*Pair5*Pair9
	Abb6 = Pair3*Pair8*Pair9
	Abb7 = Pair5*Pair8*Pair9
	tmp51 = Abb130 - Abb139 + Abb30 + Abb31
        tmp49 = Abb100 - Abb102 - Abb105 + Abb106 + Abb42 - 
     -   Abb50 - Abb51 + Abb54 + Abb95 - Abb99
	tmp42 = Abb101 + Abb102 + Abb43 - Abb47 - Abb49 - Abb50 - Abb94
        tmp38 = -Abb101 - Abb104 + Abb105 - Abb129 + Abb40 - 
     -   Abb48 - Abb53 + Abb97
	tmp36 = Abb102 - Abb42 + Abb50 + Abb54 + Abb94 + Abb99
        tmp52 = Abb101 - Abb105 - Abb106 - Abb40 + Abb41 + 
     -   Abb44 - Abb53 - Abb55 + tmp36
        tmp35 = Abb101 - Abb102 - Abb103 - Abb105 - Abb106 + 
     -   Abb45 - Abb47 - Abb48 - Abb56 - Abb96 + Abb98 + Abb99
	tmp32 = -Abb134 + Abb67 - Abb79 + Abb84 - Abb86 - Abb92
	tmp33 = Abb118 - Abb59 + Abb64 - Abb72 + Abb80 + tmp32
	tmp26 = Abb41 + Abb42 - Abb47 - Abb49 - Abb50
	tmp24 = Abb104 + Abb38 - Abb95 - Abb97
	tmp21 = -Abb108 + Abb110 + Abb113 + Abb120 + Abb122 - Abb124
	tmp17 = Abb42 + Abb50 + Abb54 - Abb99
	tmp16 = -Abb38 - Abb39 + Abb41 + Abb42 + Abb44
	tmp15 = Abb104 - Abb41 + Abb42 - Abb50 - Abb97
	tmp14 = Abb47 - Abb51 - Abb52 + Abb56
	tmp13 = Abb102 + Abb38 + Abb42 - Abb95
	tmp12 = Abb102 + Abb104 + Abb38 + Abb48 - Abb95 - Abb97
	tmp10 = -Abb100 - Abb101 + Abb103 + Abb105 + Abb51
        tmp7 = -Abb41 + Abb42 + Abb43 + Abb44 + Abb46 + Abb48 - 
     -   Abb54 + Abb97
	tmp5 = -Abb101 + Abb102 + Abb106 - Abb94 - Abb99
	tmp3 = -Abb100 + Abb101 + Abb51 + Abb95
	tmp2 = -Abb38 + Abb43 - Abb47 + Abb51
	tmp1 = -Abb104 + Abb40 + Abb45 + Abb47 - Abb53
	AbbSum113 = Abb34 + Abb98
	AbbSum116 = -Abb34 + Abb98
	AbbSum424 = -Abb48 + Abb94
        tmp30 = Abb38 - Abb40 - Abb95 + Abb96 + Abb97 + Abb99 + 
     -   AbbSum424
	tmp19 = Abb102 - Abb41 + Abb43 - Abb50 - AbbSum424
	AbbSum291 = Abb79 - Abb92
	tmp20 = Abb123 - Abb132 + Abb142 + Abb75 - AbbSum291
	AbbSum1072 = Abb8 + Abb9
	AbbSum849 = Abb6 + Abb9
	AbbSum848 = -Abb6 + Abb9
	AbbSum647 = Abb5 + Abb9
	AbbSum648 = -Abb5 + Abb9
	AbbSum698 = Abb34 + Abb9
	AbbSum1190 = Abb3 + Abb9
	AbbSum934 = -Abb3 + Abb9
	AbbSum256 = Abb23 + Abb9
	AbbSum665 = -Abb23 + Abb9
	tmp6 = -Abb12 + Abb127 - Abb2 + AbbSum665
	AbbSum654 = Abb12 + Abb9
	AbbSum252 = Abb11 + Abb9
	AbbSum692 = Abb19 - Abb9
	AbbSum208 = Abb17 - Abb9
	AbbSum237 = Abb11 - Abb9
	AbbSum317 = Abb32 + Abb85
	AbbSum325 = -Abb32 + Abb85
	AbbSum554 = Abb7 + Abb8
	AbbSum575 = Abb6 + Abb8
	AbbSum813 = Abb4 + Abb8
	AbbSum812 = -Abb4 + Abb8
	AbbSum958 = -Abb35 + Abb8
	AbbSum789 = Abb3 + Abb8
	AbbSum625 = -Abb3 + Abb8
	AbbSum1125 = -Abb23 + Abb8
	AbbSum784 = Abb21 + Abb8
	AbbSum940 = Abb17 + Abb8
	AbbSum984 = Abb128 + Abb8
	AbbSum897 = Abb127 + Abb8
	AbbSum566 = Abb12 + Abb8
	AbbSum173 = Abb128 - Abb8
	AbbSum827 = Abb6 + Abb7
	AbbSum576 = -Abb6 + Abb7
	AbbSum577 = Abb4 + Abb7
	AbbSum785 = Abb3 + Abb7
	AbbSum851 = -Abb23 + Abb7
	AbbSum858 = Abb21 + Abb7
	AbbSum998 = Abb16 + Abb7
	AbbSum815 = Abb13 + Abb7
	AbbSum955 = Abb128 + Abb7
	AbbSum567 = Abb12 + Abb7
	AbbSum928 = Abb11 + Abb7
	AbbSum624 = Abb21 - Abb7
	AbbSum174 = Abb16 - Abb7
	AbbSum839 = Abb13 - Abb7
	AbbSum211 = Abb127 - Abb7
	AbbSum924 = Abb12 - Abb7
	AbbSum657 = Abb11 - Abb7
	AbbSum298 = -Abb58 + Abb62
	tmp34 = Abb107 - Abb121 + Abb140 + AbbSum298 + tmp21
	AbbSum213 = Abb4 + Abb6
	AbbSum192 = -Abb4 + Abb6
	AbbSum759 = -Abb35 + Abb6
	AbbSum613 = Abb34 + Abb6
	AbbSum253 = Abb22 + Abb6
	AbbSum531 = -Abb22 + Abb6
	AbbSum525 = -Abb2 + Abb6
	AbbSum778 = Abb19 + Abb6
	AbbSum1083 = Abb17 + Abb6
	AbbSum510 = Abb13 + Abb6
	AbbSum703 = Abb127 + Abb6
	AbbSum1020 = Abb11 + Abb6
	AbbSum507 = Abb10 + Abb6
	AbbSum570 = Abb21 - Abb6
	AbbSum626 = Abb16 - Abb6
	AbbSum508 = Abb10 - Abb6
	AbbSum444 = Abb149 - Abb59
        tmp50 = Abb111 + Abb112 - Abb113 - Abb114 - Abb118 + 
     -   Abb119 + Abb125 - Abb142 - Abb146 - Abb148 - Abb64 - 
     -   Abb69 + Abb73 - Abb80 - AbbSum444 - tmp32
	AbbSum76 = Abb21 + Abb55
	AbbSum73 = -Abb21 + Abb55
	AbbSum169 = Abb4 + Abb5
	AbbSum299 = Abb38 + Abb5
	AbbSum40 = Abb35 + Abb5
	AbbSum497 = Abb21 + Abb5
	AbbSum494 = Abb2 + Abb5
	AbbSum902 = -Abb2 + Abb5
	AbbSum1101 = Abb15 + Abb5
	AbbSum564 = Abb13 + Abb5
	AbbSum619 = Abb128 + Abb5
	AbbSum223 = Abb10 + Abb5
	AbbSum301 = Abb38 - Abb5
	AbbSum39 = Abb35 - Abb5
	AbbSum695 = Abb18 - Abb5
	AbbSum757 = Abb17 - Abb5
	AbbSum533 = Abb13 - Abb5
	AbbSum655 = Abb12 - Abb5
	AbbSum334 = Abb11 - Abb5
	AbbSum437 = Abb2 + Abb48
	AbbSum434 = -Abb2 + Abb48
	AbbSum83 = Abb45 + Abb46
	AbbSum84 = -Abb45 + Abb46
	AbbSum352 = Abb38 + Abb4
	AbbSum806 = -Abb3 + Abb4
	AbbSum255 = Abb22 + Abb4
	AbbSum532 = -Abb22 + Abb4
	AbbSum1146 = Abb15 + Abb4
	AbbSum895 = Abb12 + Abb4
	AbbSum847 = Abb10 + Abb4
	AbbSum361 = Abb38 - Abb4
	AbbSum1075 = Abb19 - Abb4
	AbbSum627 = Abb15 - Abb4
	AbbSum312 = Abb13 - Abb4
	AbbSum572 = Abb11 - Abb4
	AbbSum574 = Abb10 - Abb4
	AbbSum1135 = -Abb27 + Abb37
	AbbSum945 = Abb26 + Abb37
	AbbSum1055 = Abb139 + Abb37
	AbbSum315 = Abb29 + Abb36
	AbbSum1094 = Abb28 + Abb36
	AbbSum1163 = -Abb24 + Abb36
	AbbSum1054 = Abb138 + Abb36
	AbbSum1080 = Abb34 + Abb35
	AbbSum901 = Abb23 + Abb35
	AbbSum951 = Abb18 + Abb35
	AbbSum1062 = Abb17 + Abb35
	AbbSum1088 = Abb16 + Abb35
	AbbSum187 = Abb15 + Abb35
	AbbSum960 = -Abb15 + Abb35
	AbbSum1121 = Abb128 + Abb35
	AbbSum739 = Abb10 + Abb35
	AbbSum369 = Abb34 - Abb35
	AbbSum617 = Abb19 - Abb35
	AbbSum936 = Abb18 - Abb35
	AbbSum925 = Abb127 - Abb35
	AbbSum546 = -Abb22 + Abb34
	AbbSum594 = Abb21 + Abb34
	AbbSum697 = -Abb2 + Abb34
	AbbSum630 = Abb19 + Abb34
	AbbSum231 = Abb18 + Abb34
	AbbSum354 = -Abb17 + Abb34
	AbbSum1061 = Abb16 + Abb34
	AbbSum632 = Abb13 + Abb34
	AbbSum1029 = Abb128 + Abb34
	AbbSum517 = -Abb128 + Abb34
	AbbSum892 = -Abb10 + Abb34
	AbbSum694 = Abb18 - Abb34
	AbbSum308 = Abb32 + Abb33
	AbbSum30 = -Abb32 + Abb33
	AbbSum878 = Abb26 + Abb33
	AbbSum821 = -Abb130 + Abb33
	AbbSum879 = Abb30 - Abb33
	AbbSum856 = Abb133 - Abb33
	AbbSum345 = Abb29 + Abb32
	AbbSum305 = -Abb130 + Abb32
	AbbSum415 = Abb25 - Abb32
	AbbSum333 = Abb133 - Abb32
	AbbSum578 = Abb23 + Abb3
	AbbSum810 = Abb22 + Abb3
	AbbSum807 = -Abb22 + Abb3
	AbbSum845 = Abb21 + Abb3
	AbbSum162 = Abb2 + Abb3
	AbbSum10 = -Abb2 + Abb3
	AbbSum968 = Abb19 + Abb3
	AbbSum954 = Abb128 + Abb3
	AbbSum573 = Abb11 + Abb3
	AbbSum926 = Abb23 - Abb3
	AbbSum1183 = Abb19 - Abb3
	AbbSum1199 = Abb127 - Abb3
	AbbSum1138 = Abb12 - Abb3
	AbbSum311 = -Abb28 + Abb29
	AbbSum446 = Abb138 - Abb29
	AbbSum820 = -Abb130 + Abb28
	AbbSum1073 = Abb26 + Abb27
	AbbSum935 = -Abb26 + Abb27
	AbbSum390 = -Abb133 + Abb27
	AbbSum994 = Abb139 - Abb26
	AbbSum9 = -Abb22 + Abb23
	AbbSum767 = Abb21 + Abb23
	AbbSum579 = Abb2 + Abb23
	AbbSum643 = -Abb2 + Abb23
	AbbSum592 = Abb18 + Abb23
	AbbSum873 = Abb12 + Abb23
	AbbSum254 = Abb11 + Abb23
	AbbSum1043 = Abb127 - Abb23
	AbbSum598 = Abb12 - Abb23
	AbbSum666 = Abb11 - Abb23
	AbbSum1008 = Abb21 + Abb22
	tmp27 = Abb11 + AbbSum1008 + AbbSum169 + AbbSum578
	AbbSum198 = Abb2 + Abb22
	AbbSum1170 = Abb18 + Abb22
	AbbSum588 = Abb13 + Abb22
	AbbSum701 = Abb128 + Abb22
	AbbSum569 = Abb21 - Abb22
	AbbSum505 = Abb2 - Abb22
	AbbSum865 = Abb13 - Abb22
	AbbSum1148 = Abb128 - Abb22
	AbbSum957 = -Abb10 + Abb21
	AbbSum800 = Abb13 - Abb21
	AbbSum209 = Abb12 - Abb21
	AbbSum155 = Abb14 + Abb20
	AbbSum152 = -Abb14 + Abb20
	AbbSum153 = Abb1 + Abb20
	AbbSum154 = -Abb1 + Abb20
	AbbSum1076 = Abb19 + Abb2
	AbbSum1079 = Abb18 + Abb2
	AbbSum36 = Abb17 + Abb2
	AbbSum764 = Abb13 + Abb2
	AbbSum498 = Abb10 + Abb2
	AbbSum545 = Abb13 - Abb2
	AbbSum522 = Abb10 - Abb2
	AbbSum1044 = Abb18 + Abb19
	AbbSum1034 = -Abb18 + Abb19
	AbbSum196 = -Abb17 + Abb19
	AbbSum770 = Abb16 + Abb19
	AbbSum1045 = -Abb16 + Abb19
	AbbSum158 = Abb13 + Abb19
	AbbSum456 = -Abb13 + Abb19
	AbbSum1128 = -Abb128 + Abb19
	AbbSum1127 = Abb127 + Abb19
	AbbSum970 = -Abb127 + Abb19
	AbbSum1165 = Abb12 + Abb19
	AbbSum909 = -Abb12 + Abb19
	AbbSum487 = Abb11 + Abb19
	AbbSum1205 = Abb17 + Abb18
	AbbSum651 = -Abb17 + Abb18
	AbbSum1039 = Abb16 + Abb18
	tmp9 = Abb13 - AbbSum1039 - AbbSum369 + AbbSum575 - AbbSum968
	AbbSum1022 = -Abb16 + Abb18
	AbbSum981 = -Abb15 + Abb18
	AbbSum1077 = Abb13 + Abb18
	AbbSum1049 = Abb128 + Abb18
	AbbSum887 = -Abb128 + Abb18
	AbbSum1066 = Abb127 + Abb18
	AbbSum888 = Abb11 + Abb18
	AbbSum889 = -Abb11 + Abb18
	AbbSum38 = Abb10 + Abb18
	AbbSum175 = -Abb10 + Abb18
	AbbSum635 = -Abb16 + Abb17
	AbbSum185 = Abb128 + Abb17
	tmp4 = -Abb127 + Abb9 + AbbSum185 - AbbSum998
	AbbSum1030 = Abb15 + Abb16
	AbbSum523 = -Abb15 + Abb16
	AbbSum605 = Abb128 + Abb16
	AbbSum186 = Abb127 + Abb16
        tmp31 = AbbSum186 + AbbSum196 - AbbSum209 - AbbSum579 - 
     -   AbbSum815 + AbbSum848
	AbbSum1154 = Abb10 + Abb16
	tmp29 = Abb13 - AbbSum1044 + AbbSum1083 - AbbSum1154
	AbbSum549 = Abb128 - Abb16
	AbbSum475 = Abb129 + Abb15
	AbbSum975 = Abb127 + Abb15
	AbbSum1173 = Abb10 + Abb15
	AbbSum472 = Abb129 - Abb15
	AbbSum974 = Abb127 - Abb15
	AbbSum1139 = Abb11 - Abb15
	AbbSum439 = Abb132 + Abb140
	AbbSum3 = Abb1 + Abb14
	AbbSum765 = -Abb1 + Abb14
	AbbSum157 = Abb12 + Abb13
        tmp43 = AbbSum1080 + AbbSum1170 + AbbSum157 + 
     -   AbbSum169 + AbbSum578
	AbbSum12 = -Abb12 + Abb13
	tmp8 = -Abb11 + AbbSum12 + AbbSum575 - AbbSum845
	AbbSum339 = Abb10 + Abb13
	AbbSum515 = -Abb10 + Abb13
	tmp25 = -AbbSum1044 + AbbSum192 + AbbSum515 - AbbSum523
	AbbSum795 = -Abb127 + Abb128
	tmp54 = AbbSum12 - AbbSum523 - AbbSum651 - AbbSum795 - AbbSum901
	AbbSum1122 = Abb12 + Abb128
	AbbSum944 = Abb12 + Abb127
	AbbSum966 = Abb11 + Abb127
	AbbSum973 = Abb11 - Abb127
	AbbSum929 = Abb11 + Abb12
	AbbSum923 = -Abb11 + Abb12
	AbbSum599 = Abb10 + Abb12
	AbbSum702 = -Abb10 + Abb12
	AbbSum179 = -Abb10 + Abb11
	AbbSum121 = Abb104 + Abb106
        tmp40 = Abb102 - Abb143 + Abb41 + Abb44 + Abb49 + 
     -   Abb50 - Abb54 + Abb99 - AbbSum121 + AbbSum424
	tmp37 = Abb44 + Abb49 - Abb55 + Abb97 - AbbSum121 + tmp36
	tmp22 = Abb102 + Abb103 - Abb40 + Abb53 + Abb96 + AbbSum121
	tmp48 = Abb129 + Abb45 - Abb47 - Abb56 + Abb97 + Abb99 - tmp22
	tmp23 = -Abb101 + Abb48 + Abb98 + tmp22
	tmp18 = Abb53 - Abb97 + AbbSum121 + tmp17
	tmp11 = -Abb97 - Abb99 + AbbSum121 - AbbSum424
	AbbSum122 = -Abb104 + Abb106
        tmp46 = Abb100 - Abb101 - Abb102 - Abb129 + Abb40 + 
     -   Abb42 - Abb50 + Abb51 + Abb53 + Abb54 - Abb94 + Abb95 + 
     -   Abb97 - Abb99 + AbbSum122
	AbbSum271 = AbbSum3 + Eps35
	AbbSum270 = -AbbSum3 + Eps35
	AbbSum423 = Abb150 - Abb56 - Abb98
	AbbSum376 = Abb143 - Abb55 - Abb97
	AbbSum585 = -Abb7 + AbbSum1072
	AbbSum857 = Abb21 + AbbSum1072
	AbbSum171 = Abb17 + AbbSum1072
	AbbSum714 = Abb9 - AbbSum211
	AbbSum850 = Abb5 + AbbSum849
	AbbSum283 = Abb11 + AbbSum256
	AbbSum946 = Abb8 + AbbSum208
	AbbSum1067 = Abb17 - AbbSum1072
	AbbSum568 = Abb12 - AbbSum1072
	AbbSum840 = -Abb9 + AbbSum839
	AbbSum323 = Abb10 - Abb7 - Abb9
	AbbSum661 = Abb11 - AbbSum648
	AbbSum660 = Abb11 - AbbSum647
	AbbSum872 = Abb17 - AbbSum256
	AbbSum669 = Abb12 + Abb21 - Abb9
	AbbSum644 = -Abb9 + AbbSum209
	AbbSum691 = -Abb13 + AbbSum692
	AbbSum971 = Abb18 + AbbSum208
	AbbSum952 = -Abb128 + AbbSum208
	AbbSum1188 = Abb17 - AbbSum654
	AbbSum776 = Abb12 + AbbSum237
	AbbSum310 = -Abb132 + Abb58 + Abb89
	AbbSum397 = Abb72 + AbbSum317
	AbbSum404 = Abb72 + AbbSum325
	AbbSum304 = Abb131 + Abb78 - Abb85
	AbbSum561 = -Abb5 + AbbSum554
	AbbSum670 = -Abb3 + AbbSum554
	AbbSum819 = Abb22 - Abb7 + Abb8
	AbbSum600 = Abb35 + AbbSum575
	AbbSum238 = Abb5 + AbbSum789
	AbbSum898 = -Abb23 + AbbSum958
	AbbSum930 = Abb23 + AbbSum789
	AbbSum826 = Abb2 + AbbSum789
	AbbSum266 = Abb2 + AbbSum625
	AbbSum1107 = Abb8 + AbbSum865
	AbbSum163 = Abb21 - AbbSum554
	AbbSum558 = Abb10 - AbbSum554
	AbbSum855 = -Abb8 + AbbSum223
	AbbSum1162 = Abb128 - AbbSum812
	AbbSum916 = Abb128 - AbbSum789
	AbbSum876 = Abb10 - AbbSum789
	AbbSum836 = Abb22 + AbbSum173
	AbbSum1106 = -Abb8 + AbbSum865
	AbbSum801 = Abb13 - AbbSum784
	AbbSum969 = Abb19 + AbbSum173
	AbbSum950 = -Abb8 + AbbSum1066
	AbbSum1182 = Abb15 + AbbSum173
	AbbSum972 = -Abb15 + AbbSum173
	AbbSum985 = Abb128 - AbbSum897
	AbbSum1137 = Abb11 + AbbSum173
	AbbSum1011 = Abb21 + AbbSum827
	AbbSum1191 = Abb7 + AbbSum901
	AbbSum809 = Abb22 + AbbSum785
	AbbSum191 = Abb10 + AbbSum785
	AbbSum1200 = -Abb3 + AbbSum998
	AbbSum1104 = Abb7 + AbbSum1076
	AbbSum1035 = Abb19 - AbbSum657
	AbbSum1169 = Abb18 - AbbSum174
	AbbSum676 = Abb17 - AbbSum211
	AbbSum999 = -Abb15 + AbbSum998
	AbbSum959 = Abb127 - AbbSum174
	AbbSum896 = -Abb16 + AbbSum567
	AbbSum853 = -Abb7 + AbbSum223
	AbbSum1175 = Abb3 + AbbSum174
	AbbSum1040 = Abb17 + AbbSum657
	AbbSum900 = -Abb15 + AbbSum174
	AbbSum261 = Abb53 - AbbSum508
	AbbSum277 = Abb22 + AbbSum213
	AbbSum639 = Abb15 + AbbSum192
	AbbSum479 = Abb13 + AbbSum192
	AbbSum527 = Abb10 + AbbSum192
	AbbSum712 = -Abb16 + AbbSum613
	AbbSum1089 = -Abb15 + AbbSum253
	AbbSum606 = Abb2 + AbbSum531
	AbbSum1085 = Abb17 + AbbSum525
	AbbSum501 = -Abb16 + AbbSum1083
	AbbSum258 = Abb53 + AbbSum508
	AbbSum528 = Abb10 - AbbSum192
	AbbSum1082 = Abb17 - AbbSum253
	AbbSum616 = -Abb6 + AbbSum1034
	AbbSum693 = -Abb6 + AbbSum158
	AbbSum762 = Abb17 + AbbSum626
	AbbSum524 = -Abb15 + AbbSum626
	AbbSum166 = Abb15 + AbbSum169
	AbbSum771 = Abb13 + AbbSum169
	AbbSum552 = -Abb4 + AbbSum1101
	AbbSum307 = -Abb4 + AbbSum223
	AbbSum717 = Abb34 - AbbSum39
	AbbSum633 = -Abb35 + AbbSum564
	AbbSum314 = Abb34 + AbbSum1101
	AbbSum1176 = Abb3 + AbbSum902
	AbbSum164 = Abb3 + AbbSum223
	AbbSum511 = Abb22 + AbbSum494
	AbbSum529 = -Abb22 + AbbSum494
	AbbSum663 = Abb12 + AbbSum497
	AbbSum486 = Abb10 + AbbSum902
	AbbSum1100 = Abb128 + AbbSum1101
	AbbSum563 = Abb11 + AbbSum564
	AbbSum846 = Abb4 + AbbSum334
	AbbSum1060 = Abb34 - AbbSum169
	AbbSum37 = Abb15 - AbbSum169
	AbbSum207 = Abb34 + AbbSum39
	AbbSum699 = Abb17 + AbbSum39
	AbbSum638 = Abb128 + AbbSum39
	AbbSum743 = Abb34 - AbbSum40
	AbbSum242 = Abb34 - AbbSum494
	AbbSum1099 = Abb34 - AbbSum1101
	AbbSum538 = Abb10 + Abb22 - Abb5
	AbbSum553 = Abb21 - AbbSum223
	AbbSum342 = Abb12 - AbbSum497
	AbbSum799 = Abb13 - AbbSum902
	AbbSum874 = -Abb16 + AbbSum334
	AbbSum875 = -Abb127 + AbbSum334
	AbbSum859 = Abb10 + AbbSum334
	AbbSum335 = Abb11 - AbbSum223
	AbbSum465 = Abb49 + AbbSum767
	AbbSum462 = Abb49 - AbbSum767
	AbbSum384 = Abb23 + Abb41 - Abb48
	AbbSum381 = -Abb23 + Abb41 - Abb48
	AbbSum303 = Abb47 + AbbSum255
	AbbSum302 = Abb47 - AbbSum255
	AbbSum705 = Abb35 - AbbSum627
	AbbSum1012 = Abb19 - AbbSum627
	AbbSum882 = Abb4 + AbbSum1127
	AbbSum720 = Abb18 - AbbSum627
	AbbSum886 = Abb4 + AbbSum887
	AbbSum843 = Abb11 + AbbSum895
	AbbSum313 = Abb34 + AbbSum312
	AbbSum914 = Abb34 - AbbSum847
	AbbSum306 = Abb21 + AbbSum574
	AbbSum808 = -Abb21 + AbbSum312
	AbbSum1150 = Abb16 + AbbSum627
	AbbSum967 = -Abb139 + AbbSum1135
	AbbSum1063 = Abb28 + AbbSum315
	AbbSum53 = -Abb28 - Abb29 + Abb36
	AbbSum371 = Abb138 + Abb28 - Abb36
	AbbSum987 = Abb3 + AbbSum901
	AbbSum496 = -Abb3 + AbbSum951
	AbbSum215 = Abb19 + AbbSum187
	AbbSum1021 = Abb19 + AbbSum1121
	AbbSum1108 = -Abb15 + AbbSum951
	AbbSum961 = -Abb127 + AbbSum951
	tmp47 = AbbSum36 - AbbSum599 - AbbSum624 + AbbSum665 - AbbSum961
	AbbSum1041 = Abb128 + AbbSum187
	AbbSum244 = Abb12 - AbbSum925
	AbbSum145 = Abb35 + AbbSum122
	AbbSum986 = Abb16 - AbbSum901
	AbbSum1194 = Abb127 - AbbSum901
        tmp44 = -Abb18 + AbbSum1194 + AbbSum36 - AbbSum567 + 
     -   AbbSum647 + AbbSum957
	AbbSum938 = Abb127 + AbbSum936
	AbbSum937 = -Abb127 + AbbSum936
	AbbSum636 = Abb17 - AbbSum1088
	AbbSum620 = Abb128 - AbbSum739
	AbbSum144 = -Abb35 + AbbSum122
	AbbSum547 = Abb2 + AbbSum546
	AbbSum1149 = -Abb10 + AbbSum546
	AbbSum634 = Abb16 + AbbSum354
	AbbSum548 = -Abb16 + AbbSum1029
	AbbSum168 = -Abb16 + AbbSum517
	AbbSum1160 = -Abb15 + AbbSum892
	AbbSum1144 = -Abb10 + AbbSum1029
	AbbSum802 = -Abb10 + AbbSum517
	AbbSum890 = Abb12 - Abb127 + Abb34
	AbbSum891 = Abb11 + AbbSum892
	AbbSum631 = -Abb34 + AbbSum545
	AbbSum709 = Abb19 - AbbSum632
	AbbSum239 = Abb13 - AbbSum517
	AbbSum1116 = Abb139 + Abb24 + Abb30
	AbbSum956 = Abb12 - AbbSum926
	AbbSum556 = Abb2 + AbbSum845
	AbbSum25 = -Abb2 + AbbSum845
	AbbSum830 = Abb3 + AbbSum800
	AbbSum540 = Abb10 + AbbSum162
	AbbSum1003 = -Abb12 + AbbSum968
	AbbSum943 = Abb12 + AbbSum926
	AbbSum844 = Abb21 - AbbSum578
	AbbSum1071 = Abb12 - AbbSum578
	AbbSum24 = Abb21 - AbbSum10
	AbbSum539 = Abb21 - AbbSum162
	AbbSum884 = Abb13 - AbbSum845
	AbbSum1184 = -Abb127 + AbbSum1183
	AbbSum996 = -Abb12 + AbbSum1183
	AbbSum210 = Abb11 + AbbSum579
	AbbSum645 = Abb10 + AbbSum579
	AbbSum713 = Abb12 - AbbSum767
	AbbSum662 = Abb10 - AbbSum643
	AbbSum224 = Abb13 + AbbSum198
	AbbSum736 = -Abb11 + AbbSum701
	AbbSum910 = Abb13 - AbbSum1008
	AbbSum608 = Abb13 + AbbSum505
	AbbSum591 = Abb18 + AbbSum957
	AbbSum582 = Abb10 + Abb11 + Abb21
	AbbSum394 = Abb11 + AbbSum209
	AbbSum272 = Abb1 + AbbSum155
	AbbSum182 = -Abb1 + AbbSum155
	AbbSum195 = Abb1 + AbbSum152
	AbbSum201 = -Abb1 + AbbSum152
	AbbSum708 = -Abb13 + AbbSum1076
	AbbSum1105 = -Abb127 + AbbSum1076
	AbbSum748 = Abb19 - AbbSum764
	AbbSum672 = Abb18 - AbbSum498
	AbbSum783 = -Abb2 + AbbSum605
	AbbSum1098 = Abb128 + AbbSum545
	AbbSum512 = -Abb17 + AbbSum1044
	AbbSum214 = Abb19 + AbbSum185
	AbbSum1052 = -Abb128 + AbbSum196
	AbbSum1201 = -Abb15 + AbbSum770
	AbbSum1026 = Abb128 + Abb15 + Abb19
	AbbSum718 = Abb10 + AbbSum456
	AbbSum711 = -Abb10 + AbbSum1205
	AbbSum1004 = Abb15 + AbbSum889
	AbbSum793 = -Abb11 + AbbSum981
	AbbSum741 = Abb13 + AbbSum635
	AbbSum1187 = Abb17 + AbbSum929
	AbbSum241 = Abb13 + AbbSum1030
	AbbSum1086 = -Abb10 + AbbSum605
	AbbSum603 = Abb13 - AbbSum605
	AbbSum265 = AbbSum182 + Eps35
	AbbSum259 = AbbSum201 + Eps35
	AbbSum262 = -AbbSum201 + Eps35
	AbbSum269 = -AbbSum182 + Eps35
	AbbSum111 = -Abb40 + Abb94 + Abb96 + Abb99
	tmp28 = -Abb38 + Abb95 - Abb97 + Abb98 + AbbSum111
	AbbSum375 = Abb42 + Abb53 + Abb6 - Abb97
	AbbSum378 = Abb42 + Abb53 - Abb6 - Abb97
	AbbSum586 = Abb5 + AbbSum585
	AbbSum584 = -Abb5 + AbbSum585
	AbbSum8 = AbbSum1072 - AbbSum169
	AbbSum200 = Abb12 + Abb35 + AbbSum1072
	AbbSum1132 = AbbSum1072 + AbbSum196
	AbbSum1065 = AbbSum1072 + AbbSum651
	AbbSum682 = Abb17 + Abb9 + AbbSum211
	AbbSum490 = -Abb2 + Abb9 + AbbSum635
	AbbSum977 = -Abb15 + Abb9 + AbbSum1044
	AbbSum883 = -AbbSum208 + AbbSum909
	AbbSum918 = Abb9 + AbbSum1201
	AbbSum1171 = -AbbSum208 + AbbSum889
	AbbSum941 = -AbbSum934 + AbbSum940
	AbbSum953 = AbbSum208 + AbbSum897
	AbbSum942 = AbbSum208 + AbbSum566
	AbbSum962 = Abb11 + AbbSum946
	AbbSum1042 = Abb3 + AbbSum568
	AbbSum232 = -AbbSum1072 + AbbSum185
	AbbSum1120 = -Abb127 + AbbSum1067
	AbbSum794 = -AbbSum174 + AbbSum208
	AbbSum777 = AbbSum237 + AbbSum567
	AbbSum1033 = AbbSum174 + AbbSum208
	tmp53 = -Abb10 - AbbSum1033 - AbbSum1122 - AbbSum865 + AbbSum961
	AbbSum1109 = AbbSum208 + AbbSum960
	AbbSum1136 = -Abb12 + Abb17 - AbbSum934
	AbbSum495 = -AbbSum256 + AbbSum498
	AbbSum322 = Abb10 + Abb21 + AbbSum237
	AbbSum478 = AbbSum209 + AbbSum237
	AbbSum641 = AbbSum209 - AbbSum252
	AbbSum980 = AbbSum208 + AbbSum981
	AbbSum866 = Abb128 + Abb13 + AbbSum208
	AbbSum1110 = Abb10 + Abb128 + AbbSum208
	AbbSum385 = Abb141 - Abb69 + Abb73 + Abb86
	AbbSum332 = Abb135 + Abb136 + Abb79 - Abb86
	AbbSum1145 = Abb6 + AbbSum670
	AbbSum161 = AbbSum223 + AbbSum554
	AbbSum1174 = AbbSum554 + AbbSum901
	AbbSum581 = -AbbSum162 + AbbSum554
	AbbSum543 = -Abb5 + Abb8 - AbbSum827
	AbbSum542 = AbbSum812 - AbbSum827
	AbbSum541 = Abb10 + Abb8 - AbbSum827
	AbbSum671 = Abb5 - Abb7 + AbbSum625
	AbbSum601 = AbbSum575 + AbbSum627
	AbbSum458 = Abb13 - Abb3 + AbbSum575
	AbbSum825 = Abb10 - Abb5 + AbbSum812
	AbbSum235 = AbbSum498 + AbbSum789
	AbbSum908 = -AbbSum173 + AbbSum909
	AbbSum559 = AbbSum223 - AbbSum554
	AbbSum537 = -AbbSum554 + AbbSum845
	tmp39 = -AbbSum1146 + AbbSum339 - AbbSum537 + AbbSum605
	AbbSum894 = -AbbSum554 + AbbSum605
	AbbSum1161 = Abb15 + AbbSum1162
	AbbSum854 = Abb2 + Abb21 - AbbSum625
	AbbSum491 = -AbbSum625 + AbbSum795
	AbbSum787 = AbbSum254 - AbbSum789
	AbbSum835 = AbbSum701 - AbbSum789
	AbbSum188 = -Abb10 - Abb8 + AbbSum569
	AbbSum1181 = AbbSum173 + AbbSum889
	AbbSum189 = AbbSum494 + AbbSum785
	AbbSum861 = Abb10 - Abb5 + AbbSum928
	AbbSum782 = -AbbSum255 + AbbSum785
	AbbSum1126 = Abb127 - Abb16 + AbbSum785
	AbbSum1115 = Abb10 - Abb127 - AbbSum174
	AbbSum704 = Abb127 - Abb16 - AbbSum576
	AbbSum217 = AbbSum186 - AbbSum827
	AbbSum7 = Abb10 + Abb11 - AbbSum827
	AbbSum822 = Abb10 - Abb5 - AbbSum577
	AbbSum234 = -Abb23 - Abb5 + AbbSum624
	AbbSum860 = Abb10 - Abb5 + AbbSum657
	AbbSum656 = Abb11 - Abb35 + AbbSum211
	AbbSum852 = AbbSum162 + AbbSum624
	AbbSum205 = -AbbSum858 + AbbSum944
	AbbSum867 = Abb127 + Abb13 + AbbSum174
	AbbSum610 = AbbSum1101 + AbbSum192
	AbbSum483 = AbbSum192 + AbbSum533
	AbbSum492 = AbbSum253 - AbbSum494
	AbbSum775 = AbbSum192 + AbbSum800
	AbbSum1097 = AbbSum192 + AbbSum545
	AbbSum982 = -Abb10 - Abb22 + AbbSum613
	AbbSum750 = AbbSum613 + AbbSum635
	AbbSum761 = Abb2 + AbbSum501
	AbbSum734 = AbbSum1022 + AbbSum1083
	AbbSum744 = Abb10 + AbbSum501
	AbbSum715 = -AbbSum39 + AbbSum626
	AbbSum823 = Abb10 - Abb5 - AbbSum213
	AbbSum716 = Abb16 - Abb5 - AbbSum759
	AbbSum1096 = AbbSum545 + AbbSum626
	AbbSum35 = AbbSum522 + AbbSum626
	AbbSum206 = -AbbSum510 + AbbSum770
	AbbSum455 = AbbSum439 - AbbSum444
	AbbSum109 = Abb102 - Abb53 + AbbSum38
	AbbSum107 = Abb102 - Abb53 - AbbSum38
	AbbSum388 = Abb42 - Abb50 + AbbSum254
	AbbSum389 = Abb42 - Abb50 - AbbSum254
	AbbSum1081 = Abb34 + AbbSum166
	AbbSum48 = Abb34 - AbbSum37
	AbbSum193 = Abb128 + AbbSum771
	AbbSum602 = Abb34 + AbbSum552
	AbbSum50 = AbbSum38 + AbbSum40
	AbbSum128 = AbbSum122 + AbbSum40
	AbbSum760 = AbbSum369 + AbbSum902
	AbbSum51 = AbbSum223 + AbbSum936
	AbbSum150 = AbbSum121 - AbbSum39
	AbbSum126 = AbbSum122 - AbbSum39
	AbbSum580 = -Abb3 + AbbSum486
	AbbSum818 = AbbSum497 + AbbSum522
	AbbSum47 = Abb15 + AbbSum1060
	AbbSum816 = -AbbSum169 + AbbSum764
	tmp41 = Abb128 + AbbSum523 - AbbSum546 - AbbSum816
	AbbSum679 = Abb35 + AbbSum342
	AbbSum250 = AbbSum739 - AbbSum902
	AbbSum710 = Abb19 - AbbSum633
	AbbSum392 = -AbbSum223 + AbbSum951
	AbbSum637 = AbbSum39 + AbbSum635
	AbbSum151 = AbbSum121 + AbbSum39
	AbbSum130 = AbbSum122 + AbbSum39
	AbbSum123 = AbbSum122 - AbbSum40
	AbbSum1152 = AbbSum632 - AbbSum902
	AbbSum560 = AbbSum845 - AbbSum902
	AbbSum1019 = AbbSum767 - AbbSum902
	AbbSum190 = -AbbSum494 + AbbSum569
	AbbSum932 = -AbbSum902 + AbbSum957
	AbbSum1151 = AbbSum515 - AbbSum902
	AbbSum550 = -AbbSum1101 + AbbSum549
	AbbSum97 = AbbSum84 + AbbSum9
	AbbSum96 = AbbSum84 - AbbSum9
	AbbSum59 = -Abb40 + Abb43 + AbbSum12
	AbbSum57 = -Abb40 + Abb43 - AbbSum12
	AbbSum1032 = AbbSum1080 - AbbSum574
	AbbSum893 = AbbSum1146 + AbbSum892
	AbbSum832 = -AbbSum627 + AbbSum892
	AbbSum1028 = AbbSum1030 + AbbSum255
	AbbSum1095 = -Abb16 + Abb4 + AbbSum545
	AbbSum368 = AbbSum456 - AbbSum627
	AbbSum500 = AbbSum175 - AbbSum627
	AbbSum915 = Abb127 + AbbSum914
	AbbSum1119 = Abb13 - Abb34 - AbbSum532
	AbbSum780 = -AbbSum806 + AbbSum981
	AbbSum54 = -Abb31 + Abb37 + AbbSum415
	AbbSum413 = -Abb31 + Abb37 - AbbSum446
	AbbSum1155 = -Abb130 - Abb24 + AbbSum1094
	AbbSum365 = Abb132 - AbbSum371
	AbbSum370 = Abb132 + AbbSum371
	AbbSum907 = -AbbSum1163 + AbbSum994
	AbbSum668 = -Abb17 + AbbSum961
	AbbSum212 = Abb128 + Abb15 + AbbSum1062
	AbbSum993 = AbbSum1199 - AbbSum901
	AbbSum899 = AbbSum1030 - AbbSum901
	AbbSum1053 = AbbSum185 - AbbSum187
	AbbSum493 = Abb15 + Abb3 + AbbSum594
	AbbSum729 = -Abb128 - Abb2 + AbbSum546
	AbbSum202 = -Abb10 - Abb21 + AbbSum632
	AbbSum749 = AbbSum456 + AbbSum697
	AbbSum228 = AbbSum186 + AbbSum231
	AbbSum219 = -Abb10 - Abb11 + AbbSum231
	AbbSum536 = AbbSum517 - AbbSum523
	AbbSum609 = -AbbSum697 + AbbSum865
	AbbSum863 = Abb25 + Abb31 + AbbSum878
	AbbSum829 = -Abb28 + Abb30 - AbbSum821
	AbbSum1177 = Abb139 + Abb30 - AbbSum878
	AbbSum309 = Abb24 + Abb30 + AbbSum345
	AbbSum393 = AbbSum390 - AbbSum415
	AbbSum1103 = -Abb138 + Abb139 + Abb25 + Abb30
	AbbSum29 = AbbSum198 + AbbSum578
	AbbSum13 = -AbbSum198 + AbbSum578
	AbbSum1133 = Abb12 - Abb15 + AbbSum578
	AbbSum963 = -Abb127 + AbbSum956
	AbbSum1158 = AbbSum800 + AbbSum810
	AbbSum557 = -AbbSum522 + AbbSum845
	AbbSum14 = AbbSum579 - AbbSum810
	AbbSum1123 = -Abb12 + Abb128 - AbbSum578
	AbbSum885 = AbbSum800 - AbbSum807
	AbbSum1000 = Abb127 + AbbSum996
	AbbSum1178 = AbbSum1183 - AbbSum944
	AbbSum792 = -Abb21 + Abb23 + AbbSum588
	AbbSum502 = -AbbSum569 + AbbSum873
	AbbSum684 = AbbSum209 + AbbSum643
	AbbSum236 = -AbbSum579 + AbbSum957
	AbbSum678 = Abb2 + AbbSum713
	AbbSum227 = -Abb2 + AbbSum713
	AbbSum1112 = -Abb127 + AbbSum713
	AbbSum1168 = -Abb127 - Abb21 + AbbSum1170
	AbbSum1092 = -Abb16 + AbbSum224
	AbbSum167 = Abb15 + AbbSum224
	AbbSum1090 = -Abb128 + AbbSum224
	AbbSum629 = Abb16 - Abb2 + AbbSum701
	AbbSum1172 = AbbSum701 + AbbSum966
	AbbSum1180 = Abb127 + AbbSum910
	AbbSum788 = Abb127 + Abb21 + AbbSum36
	AbbSum220 = -AbbSum800 + AbbSum909
	AbbSum1166 = Abb128 + Abb19 + AbbSum800
	AbbSum673 = AbbSum175 + AbbSum209
	AbbSum46 = Abb10 + Abb17 + AbbSum1079
	AbbSum34 = -AbbSum36 + AbbSum38
	AbbSum1014 = -Abb16 + AbbSum512
	AbbSum1141 = Abb13 + AbbSum512
	AbbSum31 = -Abb13 + AbbSum512
	AbbSum414 = AbbSum1044 - AbbSum339
	AbbSum919 = -Abb11 + AbbSum1201
	AbbSum912 = -AbbSum973 + AbbSum981
	AbbSum911 = -AbbSum966 + AbbSum981
	AbbSum1084 = Abb10 + Abb128 + AbbSum635
	AbbSum583 = Abb10 + AbbSum1072 + AbbSum657
	AbbSum862 = AbbSum1072 + AbbSum859
	AbbSum964 = Abb18 - AbbSum208 - AbbSum958
	AbbSum983 = -Abb16 + AbbSum208 + AbbSum554
	AbbSum939 = AbbSum958 + AbbSum971
	AbbSum1189 = AbbSum1067 + AbbSum174
	AbbSum1129 = AbbSum1067 + AbbSum936
	AbbSum11 = Abb10 - AbbSum1072 + AbbSum929
	AbbSum805 = -Abb10 - AbbSum1072 + AbbSum929
	AbbSum881 = -Abb10 + Abb17 - Abb7 + AbbSum692
	AbbSum1018 = -Abb10 - Abb7 - Abb9 + AbbSum651
	AbbSum484 = AbbSum209 + AbbSum660
	AbbSum281 = Abb11 + AbbSum495
	AbbSum779 = -Abb9 + AbbSum157 - AbbSum635
	AbbSum1153 = AbbSum554 + AbbSum884
	AbbSum544 = Abb5 + AbbSum813 - AbbSum827
	AbbSum700 = Abb22 + AbbSum619 + AbbSum625
	AbbSum1124 = -Abb10 + AbbSum784 + AbbSum902
	AbbSum243 = Abb17 + AbbSum592 + AbbSum789
	AbbSum1001 = -Abb12 + AbbSum1128 + AbbSum625
	AbbSum913 = -AbbSum1137 + AbbSum981
	AbbSum521 = Abb4 + AbbSum537
	AbbSum555 = -AbbSum554 + AbbSum556
	AbbSum646 = AbbSum599 - AbbSum670
	AbbSum1179 = AbbSum909 + AbbSum916
	AbbSum781 = -Abb127 - AbbSum1125 + AbbSum701
	AbbSum1002 = AbbSum173 + AbbSum793
	AbbSum4 = Abb13 - AbbSum169 + AbbSum827
	AbbSum824 = Abb10 - AbbSum169 + AbbSum827
	AbbSum774 = AbbSum808 + AbbSum827
	AbbSum675 = -AbbSum39 + AbbSum676
	AbbSum677 = AbbSum39 + AbbSum676
	AbbSum933 = -AbbSum486 + AbbSum858
	AbbSum811 = -AbbSum486 + AbbSum815
	AbbSum931 = -Abb17 - AbbSum211 + AbbSum951
	AbbSum1114 = -Abb16 + AbbSum209 + AbbSum851
	AbbSum674 = -AbbSum211 + AbbSum711
	AbbSum753 = Abb5 + AbbSum635 + AbbSum759
	AbbSum1016 = -Abb22 - AbbSum1154 + AbbSum613
	AbbSum451 = Abb102 + Abb128 - Abb13 + AbbSum253
	AbbSum745 = AbbSum501 - AbbSum522
	AbbSum353 = -Abb128 - AbbSum253 + AbbSum632
	AbbSum443 = Abb102 - Abb128 + Abb13 - AbbSum253
	AbbSum731 = -Abb13 - AbbSum1083 + AbbSum770
	AbbSum91 = Abb49 + Abb50 - Abb53 - Abb54 + Abb57
	AbbSum296 = Abb2 - Abb47 - Abb51 + AbbSum299
	AbbSum294 = Abb38 - Abb47 - Abb51 - AbbSum494
	AbbSum197 = -AbbSum1080 + AbbSum771
	AbbSum1093 = Abb34 + AbbSum169 - AbbSum523
	AbbSum1091 = AbbSum166 + AbbSum517
	AbbSum722 = Abb10 + AbbSum169 + AbbSum981
	AbbSum551 = AbbSum549 + AbbSum552
	AbbSum489 = -Abb23 - AbbSum39 + AbbSum546
	AbbSum747 = -Abb13 - AbbSum39 + AbbSum630
	AbbSum752 = AbbSum617 - AbbSum799
	AbbSum571 = AbbSum497 + AbbSum540
	AbbSum240 = AbbSum1030 + AbbSum511
	AbbSum604 = Abb13 - AbbSum602
	AbbSum366 = Abb19 - AbbSum1101 - AbbSum312
	AbbSum735 = Abb18 - AbbSum1101 - AbbSum574
	AbbSum614 = -AbbSum552 + AbbSum605
	AbbSum230 = -AbbSum169 + AbbSum215
	AbbSum814 = -Abb10 + AbbSum816
	AbbSum1147 = -AbbSum1154 + AbbSum799
	AbbSum590 = Abb35 + AbbSum627 + AbbSum800
	AbbSum488 = Abb12 + AbbSum1077 - AbbSum1146
	AbbSum194 = -Abb16 + AbbSum1080 - AbbSum198
	AbbSum170 = Abb12 + Abb18 + AbbSum987
	AbbSum1024 = AbbSum1026 + AbbSum1062
	AbbSum589 = -Abb10 + AbbSum231 + AbbSum800
	AbbSum817 = -AbbSum523 + AbbSum802
	AbbSum513 = AbbSum512 - AbbSum517
	AbbSum336 = Abb25 + Abb26 + Abb31 + AbbSum856
	AbbSum1102 = Abb130 + Abb24 - Abb29 + Abb30 + Abb32
	AbbSum828 = Abb24 + Abb29 + Abb30 - AbbSum305
	AbbSum1064 = Abb25 + Abb31 + AbbSum1116
	AbbSum864 = -Abb133 - Abb24 + Abb26 - Abb30 + Abb31
	AbbSum587 = Abb130 - Abb24 + Abb25 - Abb29 + Abb31
	AbbSum199 = -Abb127 + AbbSum578 + AbbSum887
	AbbSum1134 = Abb12 + AbbSum578 - AbbSum974
	AbbSum1131 = -Abb15 + AbbSum1122 + AbbSum578
	AbbSum1069 = -AbbSum1071 + AbbSum795
	AbbSum233 = -AbbSum198 + AbbSum844
	AbbSum1070 = AbbSum1071 + AbbSum795
	AbbSum177 = Abb18 + AbbSum227
	AbbSum1059 = Abb17 + AbbSum198 + AbbSum456
	AbbSum1057 = -Abb13 + AbbSum1045 + AbbSum198
	AbbSum1056 = Abb15 + AbbSum198 + AbbSum456
	AbbSum165 = AbbSum224 + AbbSum605
	AbbSum607 = -Abb16 - AbbSum701 + AbbSum764
	AbbSum249 = -Abb11 + AbbSum1205 + AbbSum209
	AbbSum481 = -Abb15 + AbbSum1044 - AbbSum635
	AbbSum979 = -Abb15 + AbbSum1044 - AbbSum929
	AbbSum264 = -Abb10 - Abb21 + Abb53 + Abb97 + AbbSum827
	AbbSum268 = Abb10 + Abb21 + Abb53 + Abb97 - AbbSum827
	AbbSum359 = Abb104 + Abb17 + Abb48 - Abb97 - AbbSum624
	AbbSum350 = Abb104 - Abb17 + Abb48 - Abb97 + AbbSum624
	AbbSum476 = Abb103 - Abb129 - Abb94 + AbbSum215
	AbbSum477 = Abb103 - Abb129 - Abb94 - AbbSum215
	AbbSum386 = -Abb3 + Abb50 + AbbSum1072 - AbbSum924
	AbbSum328 = Abb42 - AbbSum624 - AbbSum661
	AbbSum688 = Abb17 - Abb35 + AbbSum211 + AbbSum647
	AbbSum707 = AbbSum211 + AbbSum36 + AbbSum665
	AbbSum681 = Abb127 + Abb17 + Abb21 + Abb9 - AbbSum567
	AbbSum1006 = -AbbSum237 + AbbSum515 - AbbSum895
	AbbSum649 = -Abb15 + Abb9 + AbbSum1088 + AbbSum970
	AbbSum1193 = AbbSum651 - AbbSum923 + AbbSum934
	AbbSum797 = AbbSum1044 - AbbSum208 - AbbSum929
	AbbSum1167 = Abb128 + Abb13 + AbbSum252 - AbbSum635
	AbbSum664 = Abb11 + Abb2 - AbbSum1190 + AbbSum554
	AbbSum965 = -AbbSum1190 - AbbSum598 + AbbSum940
	AbbSum387 = Abb3 + Abb50 - AbbSum1072 + AbbSum924
	AbbSum659 = -AbbSum1072 + AbbSum657 - AbbSum926
	AbbSum1017 = -AbbSum1072 + AbbSum573 + AbbSum924
	AbbSum1023 = -Abb127 + Abb34 - AbbSum8
	AbbSum17 = AbbSum12 - AbbSum8
	AbbSum183 = -AbbSum1072 - AbbSum231 + AbbSum909
	AbbSum1068 = AbbSum1067 - AbbSum1071
	AbbSum1051 = -Abb127 + AbbSum568 + AbbSum578
	AbbSum667 = -AbbSum682 + AbbSum951
	AbbSum621 = -Abb127 - Abb21 + AbbSum567 - AbbSum665
	AbbSum685 = -Abb10 - Abb9 - AbbSum211 + AbbSum651
	AbbSum320 = Abb42 + AbbSum624 + AbbSum661
	AbbSum178 = Abb17 - Abb35 + AbbSum211 - AbbSum648
	AbbSum1111 = AbbSum185 - AbbSum209 - AbbSum665
	AbbSum247 = AbbSum1205 - AbbSum256 - AbbSum498
	AbbSum991 = Abb12 - Abb15 - AbbSum651 + AbbSum692
	AbbSum364 = Abb107 + Abb109 + Abb140 - Abb58 + Abb59 - Abb89
	AbbSum343 = Abb85 + AbbSum587
	AbbSum338 = Abb85 - AbbSum587
	AbbSum534 = AbbSum510 - AbbSum537
	AbbSum535 = -Abb6 + AbbSum1153
	AbbSum506 = Abb13 - AbbSum497 + AbbSum670
	AbbSum329 = -Abb21 + Abb38 + AbbSum575 - AbbSum847
	AbbSum906 = Abb15 + AbbSum802 + AbbSum813
	AbbSum922 = -Abb17 + Abb8 + AbbSum951 - AbbSum966
	AbbSum245 = -AbbSum173 + AbbSum202
	AbbSum905 = -Abb128 - Abb21 + AbbSum588 + AbbSum625
	AbbSum791 = AbbSum793 - AbbSum985
	AbbSum321 = Abb10 + Abb21 + AbbSum352 - AbbSum575
	AbbSum927 = AbbSum599 - AbbSum784 + AbbSum902
	AbbSum834 = AbbSum1029 - AbbSum1173 - AbbSum812
	AbbSum1159 = Abb128 - Abb21 + AbbSum588 - AbbSum625
	AbbSum1031 = -Abb12 + AbbSum916 + AbbSum970
	AbbSum6 = AbbSum12 - AbbSum7
	AbbSum380 = Abb43 + Abb53 - AbbSum498 - AbbSum657
	AbbSum904 = -AbbSum523 + AbbSum577 + AbbSum892
	AbbSum831 = -AbbSum1030 + AbbSum577 + AbbSum892
	AbbSum1156 = -Abb16 - Abb21 + AbbSum588 + AbbSum785
	AbbSum903 = -Abb16 - Abb21 - AbbSum807 + AbbSum815
	AbbSum18 = AbbSum12 + AbbSum7
	AbbSum383 = Abb43 + Abb53 + AbbSum498 + AbbSum657
	AbbSum248 = AbbSum205 - AbbSum39
	AbbSum833 = AbbSum174 + AbbSum832
	AbbSum246 = AbbSum1030 - AbbSum577 - AbbSum810
	AbbSum1157 = Abb13 + Abb16 + AbbSum810 - AbbSum858
	AbbSum1113 = Abb12 + Abb16 + AbbSum1043 - AbbSum858
	AbbSum751 = Abb34 + AbbSum753
	AbbSum276 = Abb38 + AbbSum192 - AbbSum529
	AbbSum518 = -AbbSum523 + AbbSum613 - AbbSum619
	AbbSum755 = -Abb13 + AbbSum1045 + AbbSum639
	AbbSum274 = -AbbSum192 + AbbSum299 + AbbSum505
	AbbSum499 = AbbSum1061 - AbbSum1083 - AbbSum39
	AbbSum33 = -Abb13 - AbbSum639 + AbbSum770
	AbbSum719 = -AbbSum192 + AbbSum523 + AbbSum651
	AbbSum721 = -AbbSum1083 - AbbSum764 + AbbSum770
	AbbSum143 = Abb102 - Abb53 + AbbSum46
	AbbSum140 = AbbSum107 + AbbSum36
	AbbSum142 = AbbSum109 - AbbSum36
	AbbSum141 = Abb102 - Abb53 - AbbSum46
	AbbSum222 = AbbSum169 - AbbSum187 + AbbSum231
	AbbSum628 = Abb15 + Abb34 - AbbSum532 + AbbSum902
	AbbSum611 = AbbSum168 + AbbSum552
	AbbSum948 = AbbSum1119 + AbbSum902
	AbbSum689 = -Abb21 - Abb35 + AbbSum873 + AbbSum902
	AbbSum367 = Abb19 - AbbSum312 - AbbSum314
	AbbSum612 = -Abb15 + AbbSum532 + AbbSum799
	AbbSum1047 = -AbbSum546 + AbbSum816
	AbbSum756 = -AbbSum369 + AbbSum456 - AbbSum494
	AbbSum706 = -Abb23 - AbbSum486 + AbbSum951
	AbbSum680 = -AbbSum209 + AbbSum392
	AbbSum103 = AbbSum29 + AbbSum83
	AbbSum102 = -AbbSum29 + AbbSum83
	AbbSum68 = AbbSum13 + AbbSum84
	AbbSum62 = -AbbSum14 + AbbSum84
	AbbSum66 = AbbSum14 + AbbSum84
	AbbSum64 = -AbbSum13 + AbbSum84
	AbbSum341 = -Abb10 - Abb34 - AbbSum627 + AbbSum951
	AbbSum340 = -Abb10 - Abb21 + AbbSum895 + AbbSum981
	AbbSum949 = AbbSum339 - AbbSum532 - AbbSum594
	AbbSum728 = Abb13 - Abb17 + AbbSum1075 - AbbSum523
	AbbSum416 = -Abb138 - Abb25 - Abb31 + Abb37 + AbbSum345
	AbbSum395 = -Abb31 + Abb37 + AbbSum393
	AbbSum837 = -Abb24 - Abb30 + AbbSum1094 + AbbSum821
	AbbSum917 = -AbbSum1163 + AbbSum1177
	AbbSum1117 = Abb133 + Abb138 - Abb25 - Abb31 + AbbSum878
	AbbSum995 = -Abb133 + Abb138 - Abb24 - Abb25 + Abb31 - Abb33
	AbbSum754 = Abb24 - Abb32 - tmp51
	AbbSum21 = AbbSum12 + AbbSum14
	AbbSum22 = AbbSum12 - AbbSum13
	AbbSum1185 = -Abb12 + Abb128 + AbbSum1044 - AbbSum573
	AbbSum686 = -Abb12 + AbbSum591 - AbbSum643
	AbbSum1058 = -Abb13 + AbbSum1201 + AbbSum198
	AbbSum452 = Abb95 - AbbSum361 + AbbSum523 + AbbSum651
	AbbSum445 = Abb95 - AbbSum352 - AbbSum523 - AbbSum651
        AbbSum90 = -Abb83 - Abb84 + Abb85 + Abb86 + Abb87 + 
     -   Abb92 - Abb93
	AbbSum1078 = -Abb12 + Abb127 - Abb21 + AbbSum665 + AbbSum815
	AbbSum485 = Abb13 + Abb21 - AbbSum843 + AbbSum849
	AbbSum204 = -Abb17 + AbbSum1080 + AbbSum579 + AbbSum648
	AbbSum520 = Abb4 + AbbSum1017
	AbbSum514 = AbbSum568 + AbbSum573 + AbbSum839
	AbbSum1130 = Abb12 + Abb15 + AbbSum1067 + AbbSum578
	AbbSum1050 = -AbbSum186 + AbbSum568 + AbbSum578
	AbbSum5 = AbbSum10 + AbbSum11
	AbbSum20 = -AbbSum10 + AbbSum11
	AbbSum623 = -Abb21 - AbbSum1043 + AbbSum567 - AbbSum647
	AbbSum737 = Abb2 + AbbSum621
	AbbSum738 = Abb12 - AbbSum256 - AbbSum858 + AbbSum974
	AbbSum921 = AbbSum814 - AbbSum848
	AbbSum622 = -Abb127 + AbbSum1030 - AbbSum648 + AbbSum873
	AbbSum798 = Abb10 + AbbSum545 - AbbSum648 + AbbSum929
        AbbSum110 = -Abb107 - Abb108 - Abb109 + Abb110 + Abb58 + 
     -   Abb59 + Abb89
	AbbSum1143 = Abb16 + AbbSum534
	AbbSum278 = AbbSum554 + AbbSum571
	AbbSum1206 = AbbSum670 + AbbSum932
	AbbSum530 = AbbSum192 + AbbSum25 - AbbSum554
	AbbSum526 = AbbSum163 - AbbSum192 + AbbSum807
	AbbSum658 = AbbSum646 + AbbSum902
	AbbSum203 = AbbSum1162 + AbbSum810 + AbbSum974
	AbbSum19 = AbbSum10 + AbbSum4
	AbbSum27 = -AbbSum10 + AbbSum4
	AbbSum869 = -AbbSum1146 + AbbSum1169 + AbbSum369
	AbbSum640 = Abb18 - AbbSum211 - AbbSum36 + AbbSum901
	AbbSum652 = -AbbSum179 + AbbSum931
	AbbSum1196 = -Abb12 + AbbSum1044 - AbbSum174 - AbbSum573
	AbbSum988 = -Abb12 + AbbSum1044 - AbbSum1139 - AbbSum174
	AbbSum803 = -AbbSum576 + AbbSum817
	AbbSum1195 = -Abb11 + AbbSum1039 - AbbSum567 + AbbSum968
	AbbSum989 = -Abb11 + AbbSum1044 + AbbSum523 - AbbSum567
	AbbSum1038 = -Abb17 + AbbSum1151 + AbbSum192
	AbbSum32 = AbbSum523 + AbbSum528 + AbbSum902
	AbbSum45 = Abb10 + AbbSum1030 - AbbSum213 - AbbSum494
	AbbSum723 = AbbSum414 - AbbSum501
	AbbSum724 = Abb17 + AbbSum1034 + AbbSum1154 - AbbSum510
	AbbSum124 = -Abb102 + Abb53 + tmp10
	AbbSum273 = AbbSum339 + tmp1
	AbbSum275 = -AbbSum339 + tmp1
	AbbSum461 = -Abb11 + AbbSum162 + tmp2
	AbbSum464 = Abb11 - AbbSum162 + tmp2
	AbbSum159 = Abb12 + AbbSum222
	AbbSum184 = -AbbSum29 + AbbSum771
	AbbSum55 = AbbSum31 - AbbSum37
	AbbSum618 = Abb15 - AbbSum255 + AbbSum494 + AbbSum632
	AbbSum1048 = -Abb16 + AbbSum1047
	AbbSum43 = Abb15 + AbbSum512 - AbbSum771
	AbbSum85 = Abb40 - Abb43 + tmp16
	AbbSum868 = -Abb127 - AbbSum187 + AbbSum231 - AbbSum806
	AbbSum503 = -Abb128 - AbbSum522 - AbbSum523 + AbbSum546
	AbbSum947 = Abb139 - AbbSum995
        AbbSum562 = Abb130 + Abb133 + Abb25 - Abb26 - Abb29 + 
     -   Abb30 + Abb33
	AbbSum1118 = Abb26 + AbbSum995
        AbbSum838 = Abb130 + Abb133 + Abb25 - Abb26 - Abb29 + 
     -   Abb30 + Abb32
	AbbSum615 = -Abb138 + AbbSum754
        AbbSum344 = Abb130 + Abb138 + Abb139 - Abb24 + Abb25 - 
     -   Abb30 + Abb31
	AbbSum877 = Abb133 + Abb138 - Abb25 - Abb31 + AbbSum1116
	AbbSum433 = Abb19 + Abb94 - AbbSum301 + tmp3
	AbbSum436 = -Abb19 + Abb94 - AbbSum299 + tmp3
	AbbSum474 = -Abb100 + Abb94 + Abb95 - AbbSum770 + AbbSum771
	AbbSum471 = -Abb100 + Abb94 + Abb95 + AbbSum770 - AbbSum771
	AbbSum391 = Abb142 + Abb147 + Abb73 + Abb90 - AbbSum332
	AbbSum70 = AbbSum59 + AbbSum8
	AbbSum69 = AbbSum57 + AbbSum8
	AbbSum653 = -AbbSum1067 + AbbSum496 - AbbSum944
	AbbSum1036 = Abb128 + AbbSum1127 - AbbSum568 - AbbSum578
	AbbSum772 = -AbbSum1051 + AbbSum651
	AbbSum1192 = -Abb12 + AbbSum1044 - AbbSum1067 - AbbSum573
	AbbSum992 = -Abb11 - Abb15 + AbbSum1044 - AbbSum942
        AbbSum1087 = -Abb12 + Abb127 + Abb128 - Abb21 + 
     -   AbbSum665 + AbbSum998
	AbbSum1204 = -Abb10 + Abb17 + AbbSum211 + AbbSum648 + AbbSum951
	AbbSum595 = -AbbSum627 + tmp4
	AbbSum596 = -Abb2 - Abb35 + tmp4
	AbbSum683 = -AbbSum567 + AbbSum665 + AbbSum788
	AbbSum773 = AbbSum523 + AbbSum797
	AbbSum519 = Abb5 + AbbSum568 + AbbSum573 - AbbSum577
	AbbSum71 = AbbSum59 - AbbSum8
	AbbSum65 = AbbSum57 - AbbSum8
	AbbSum428 = -Abb21 - AbbSum1194 + AbbSum567 - AbbSum647
	AbbSum687 = -Abb10 - AbbSum647 + AbbSum931
	AbbSum758 = Abb12 - Abb127 - AbbSum569 - AbbSum665 + AbbSum955
	AbbSum226 = -Abb2 + AbbSum205 + AbbSum872
	AbbSum871 = AbbSum1049 - AbbSum1146 + AbbSum208 + AbbSum369
        AbbSum134 = -Abb108 - Abb109 + Abb110 + Abb120 - 
     -   Abb121 + Abb122 + Abb62 + Abb89
	AbbSum509 = -AbbSum10 - AbbSum497 + AbbSum515 + AbbSum554
	AbbSum218 = AbbSum1045 - AbbSum800 + AbbSum827 - AbbSum944
	AbbSum251 = AbbSum217 + AbbSum219
	AbbSum870 = -AbbSum187 + AbbSum228 - AbbSum577
	AbbSum1037 = -Abb17 - AbbSum1154 + AbbSum479 - AbbSum902
	AbbSum450 = -Abb101 + Abb103 - AbbSum721
	AbbSum727 = Abb16 - AbbSum1101 + AbbSum196 - AbbSum479
	AbbSum480 = AbbSum1044 - AbbSum639 - AbbSum741
	AbbSum44 = AbbSum1034 - AbbSum192 - AbbSum339 + AbbSum523
	AbbSum49 = AbbSum1044 - AbbSum1083 + AbbSum1154 - AbbSum764
	AbbSum442 = -Abb101 + Abb103 + AbbSum721
	AbbSum330 = Abb10 + Abb3 + Abb41 - Abb49 - AbbSum434 + AbbSum497
	AbbSum1142 = Abb128 - AbbSum339 + AbbSum512 + AbbSum902
        AbbSum331 = -Abb10 - Abb3 + Abb41 - Abb49 - AbbSum437 - 
     -   AbbSum497
	AbbSum696 = AbbSum342 + AbbSum672 + AbbSum901
	AbbSum978 = AbbSum456 + AbbSum532 + AbbSum594 - AbbSum599
	AbbSum997 = AbbSum901 + AbbSum949
	AbbSum1198 = -AbbSum1080 + AbbSum339 - AbbSum532 - AbbSum767
	AbbSum225 = -Abb10 + Abb15 - AbbSum255 + AbbSum632 - AbbSum845
	AbbSum1186 = -AbbSum889 + AbbSum949
        AbbSum1164 = Abb133 + Abb25 - Abb31 + Abb33 - 
     -   AbbSum1054 + AbbSum994
	AbbSum565 = -AbbSum517 - AbbSum635 + AbbSum951 - AbbSum975
	AbbSum181 = Abb127 - Abb2 + AbbSum1039 + AbbSum546 - AbbSum578
	AbbSum216 = -AbbSum219 + AbbSum220
	AbbSum976 = AbbSum994 - AbbSum995
	AbbSum730 = -AbbSum446 + AbbSum754
        AbbSum28 = -Abb24 - Abb25 + Abb28 + Abb29 + Abb30 + 
     -   Abb31 - AbbSum1073
        AbbSum880 = Abb133 - Abb138 + Abb24 + Abb25 + Abb30 - 
     -   Abb31 + AbbSum994
	AbbSum690 = Abb24 - Abb25 - AbbSum446 - tmp51
	AbbSum421 = -Abb102 + tmp18
	tmp45 = Abb38 + Abb47 - Abb51 - Abb94 + AbbSum421
	AbbSum300 = Abb104 + Abb48 - Abb97 + AbbSum534
	AbbSum297 = Abb104 + Abb48 - Abb97 - AbbSum534
	AbbSum286 = -Abb38 + Abb95 - AbbSum369 - AbbSum731
	AbbSum288 = -Abb38 + Abb95 + AbbSum369 + AbbSum731
        AbbSum1009 = Abb2 + AbbSum1008 + AbbSum1072 + 
     -   AbbSum578 + AbbSum827
	AbbSum1015 = AbbSum1044 - AbbSum1067 - AbbSum573 - AbbSum924
        AbbSum1027 = Abb12 - AbbSum1062 + AbbSum1066 + 
     -   AbbSum1072 + AbbSum578
	AbbSum408 = Abb50 - AbbSum428
        AbbSum597 = Abb9 + AbbSum1062 - AbbSum523 - AbbSum577 + 
     -   AbbSum795
	AbbSum593 = AbbSum698 + AbbSum711 + AbbSum795 - AbbSum998
	AbbSum1013 = -Abb12 + AbbSum34 + AbbSum647 - AbbSum901
        AbbSum790 = Abb17 + AbbSum1125 - AbbSum934 + AbbSum944 + 
     -   AbbSum951
        AbbSum920 = -Abb10 - AbbSum10 - AbbSum169 + AbbSum815 - 
     -   AbbSum848
	AbbSum742 = -Abb127 + AbbSum502 - AbbSum848 + AbbSum955
	AbbSum401 = Abb50 + AbbSum428
	AbbSum725 = Abb2 + AbbSum428
        AbbSum732 = Abb12 - Abb127 - Abb128 - AbbSum1008 - 
     -   AbbSum665 + AbbSum815
	AbbSum804 = -AbbSum848 + AbbSum929 - AbbSum933
	AbbSum176 = Abb11 + AbbSum226
	AbbSum482 = AbbSum394 + AbbSum523 + AbbSum651 + AbbSum692
	AbbSum650 = Abb11 + AbbSum479 + AbbSum670 - AbbSum902
	AbbSum1197 = Abb13 + Abb15 - AbbSum1162 - AbbSum546 - AbbSum957
        AbbSum990 = Abb13 - AbbSum546 - AbbSum813 + AbbSum954 - 
     -   AbbSum957
	AbbSum796 = AbbSum1034 + AbbSum916 - AbbSum923 - AbbSum974
        AbbSum841 = -Abb17 - AbbSum517 + AbbSum951 - AbbSum975 + 
     -   AbbSum998
        AbbSum289 = Abb19 - AbbSum1061 + AbbSum1062 + 
     -   AbbSum525 - AbbSum564
	AbbSum172 = AbbSum515 + AbbSum546 + AbbSum639 - AbbSum845
	AbbSum41 = -AbbSum1154 + AbbSum613 + AbbSum651 + AbbSum708
	AbbSum52 = AbbSum196 - AbbSum479 + AbbSum523 + AbbSum902
	AbbSum42 = Abb16 + Abb17 + AbbSum1076 - AbbSum187 - AbbSum479
	AbbSum1025 = Abb128 + AbbSum1061 + AbbSum166 + AbbSum224
	AbbSum768 = AbbSum498 + tmp27
        AbbSum279 = Abb128 + Abb13 + Abb15 + AbbSum1061 - 
     -   AbbSum255 + AbbSum494
        AbbSum740 = -Abb128 - AbbSum255 - AbbSum523 + 
     -   AbbSum632 + AbbSum902
	AbbSum1046 = -Abb128 + AbbSum1047 - AbbSum981
        AbbSum1005 = -Abb128 + AbbSum1076 - AbbSum497 + 
     -   AbbSum546 + AbbSum651
	AbbSum1074 = -Abb32 - AbbSum1163 - AbbSum446 - tmp51
	AbbSum842 = -AbbSum635 - AbbSum802 + AbbSum951 - AbbSum975
	AbbSum420 = Abb42 + Abb50 + Abb53 + Abb54 + tmp11
	AbbSum347 = tmp5 + tmp6
	AbbSum356 = tmp5 - tmp6
	AbbSum431 = AbbSum424 - AbbSum428
	AbbSum425 = AbbSum424 + AbbSum428
	AbbSum454 = -Abb101 + Abb103 - AbbSum424 - AbbSum756
	AbbSum453 = -Abb101 + Abb103 - AbbSum424 + AbbSum756
        AbbSum337 = -Abb113 + Abb115 - Abb131 + Abb137 + Abb59 + 
     -   Abb72 - Abb78 + Abb79 + Abb88 + Abb91
	AbbSum26 = AbbSum6 + AbbSum8
	AbbSum16 = AbbSum7 + AbbSum8 - AbbSum9
        AbbSum180 = -Abb128 - AbbSum1062 + AbbSum1072 + 
     -   AbbSum157 - AbbSum37
	AbbSum746 = AbbSum1127 - AbbSum502 + AbbSum849 - AbbSum955
        AbbSum409 = Abb21 + Abb50 + AbbSum1043 + AbbSum196 - 
     -   AbbSum567 + AbbSum698
	AbbSum23 = AbbSum10 + AbbSum7 - AbbSum8
	AbbSum160 = -AbbSum1072 + AbbSum29 + AbbSum635 + AbbSum795
        AbbSum402 = -Abb21 + Abb50 - AbbSum1043 - AbbSum196 + 
     -   AbbSum567 - AbbSum698
        AbbSum81 = Abb78 + Abb79 - Abb80 - Abb81 - Abb82 - 
     -   Abb83 - Abb84 + Abb85 + Abb86 + Abb87
        AbbSum1140 = -Abb128 + AbbSum1044 + AbbSum613 - 
     -   AbbSum635 - AbbSum799
	AbbSum504 = -Abb128 + AbbSum1149 - AbbSum523 + AbbSum816
	AbbSum112 = AbbSum111 - AbbSum32
	AbbSum115 = AbbSum111 + AbbSum32
	AbbSum114 = AbbSum111 + AbbSum55
	AbbSum117 = AbbSum111 - AbbSum43
	AbbSum119 = AbbSum111 + AbbSum43
	AbbSum118 = AbbSum111 - AbbSum55
	AbbSum374 = -Abb102 + Abb42 - Abb50 + Abb53 + Abb54 + tmp11
        AbbSum419 = Abb102 + Abb129 - Abb150 - Abb38 + Abb45 - 
     -   Abb47 + Abb98 + tmp3
        AbbSum139 = -Abb10 - Abb95 + Abb97 - AbbSum1030 + 
     -   AbbSum213 + AbbSum299 - AbbSum434
	AbbSum136 = Abb38 - Abb48 - Abb95 + Abb97 - AbbSum32
        AbbSum138 = -Abb95 + Abb97 + AbbSum299 - AbbSum437 + 
     -   AbbSum523 + AbbSum528
	AbbSum137 = Abb38 - Abb48 - Abb95 + Abb97 + AbbSum45
	AbbSum282 = -AbbSum342 + tmp7
	AbbSum280 = AbbSum342 + tmp7
	AbbSum326 = Abb104 - Abb97 + AbbSum437 + tmp8
	AbbSum318 = Abb104 - Abb97 + AbbSum434 - tmp8
	AbbSum351 = -Abb38 + Abb95 + tmp9
	AbbSum360 = -Abb38 + Abb95 - tmp9
        AbbSum15 = Abb11 - AbbSum1072 + AbbSum157 - AbbSum169 + 
     -   AbbSum827 - AbbSum957
        AbbSum642 = -AbbSum36 + AbbSum567 - AbbSum665 - 
     -   AbbSum957 + AbbSum961
        AbbSum516 = -AbbSum1146 + AbbSum339 - AbbSum594 + 
     -   AbbSum605 + AbbSum670
	AbbSum1202 = -AbbSum576 + AbbSum814 - AbbSum901 + AbbSum966
	AbbSum2 = AbbSum1044 - AbbSum1151 - AbbSum635 - AbbSum639
	AbbSum125 = -AbbSum142 + tmp10
	AbbSum129 = -AbbSum140 + tmp10
        AbbSum362 = Abb101 - Abb48 + AbbSum302 - AbbSum472 + 
     -   AbbSum494 + AbbSum632
        AbbSum363 = Abb101 - Abb48 + AbbSum303 - AbbSum475 - 
     -   AbbSum494 - AbbSum632
	AbbSum440 = -AbbSum621 + tmp11
	AbbSum448 = AbbSum621 + tmp11
	AbbSum357 = -AbbSum537 - AbbSum651 + tmp12
	AbbSum348 = AbbSum537 + AbbSum651 + tmp12
	AbbSum407 = AbbSum192 - AbbSum523 - AbbSum537 + tmp13
	AbbSum400 = -AbbSum192 + AbbSum523 + AbbSum537 + tmp13
        AbbSum412 = Abb113 + Abb114 - Abb115 + Abb116 + Abb117 + 
     -   Abb142 - Abb72 - Abb79 - Abb85 - Abb91 + AbbSum444
	AbbSum1 = -AbbSum10 + AbbSum26
	AbbSum95 = -AbbSum20 + AbbSum91
	AbbSum75 = -AbbSum5 + AbbSum91
        AbbSum221 = -AbbSum1062 + AbbSum1072 + AbbSum169 + 
     -   AbbSum231 + AbbSum523 - AbbSum795
        AbbSum284 = Abb127 + Abb17 + AbbSum209 - AbbSum498 + 
     -   AbbSum648 - AbbSum851 + AbbSum951
        AbbSum763 = -AbbSum1072 + AbbSum546 + AbbSum651 + 
     -   AbbSum929 - AbbSum955 + AbbSum968
	AbbSum72 = AbbSum5 + AbbSum91
	AbbSum94 = AbbSum20 + AbbSum91
	AbbSum1010 = AbbSum157 + AbbSum186 + AbbSum232 - AbbSum29
	AbbSum726 = -Abb10 - Abb17 + AbbSum1079 + AbbSum428
        AbbSum427 = -Abb128 - AbbSum497 - AbbSum558 + 
     -   AbbSum613 + AbbSum764 - AbbSum810
        AbbSum786 = -Abb10 + Abb128 + Abb15 - Abb21 + 
     -   AbbSum1061 - AbbSum554 + AbbSum588 + AbbSum806
	AbbSum93 = AbbSum27 + AbbSum91
	AbbSum77 = Abb3 + AbbSum4 + AbbSum434 + tmp14
	AbbSum78 = -Abb3 + AbbSum4 + AbbSum437 + tmp14
	AbbSum92 = -AbbSum27 + AbbSum91
	AbbSum74 = Abb3 - AbbSum4 + AbbSum434 + tmp14
	AbbSum79 = -Abb3 - AbbSum4 + AbbSum437 + tmp14
        AbbSum769 = Abb12 + AbbSum1077 + AbbSum1080 + 
     -   AbbSum166 + AbbSum29
	AbbSum406 = -Abb41 + Abb43 + AbbSum224 + AbbSum549 + tmp11
	AbbSum399 = -Abb41 + Abb43 - AbbSum224 - AbbSum549 + tmp11
        AbbSum327 = AbbSum437 + AbbSum588 - AbbSum598 + 
     -   AbbSum625 + tmp15
        AbbSum319 = AbbSum434 - AbbSum588 + AbbSum598 - 
     -   AbbSum625 + tmp15
        AbbSum372 = -Abb141 - Abb142 + Abb144 + Abb145 - 
     -   Abb146 + Abb72 - Abb81 - tmp32
        AbbSum156 = -Abb128 + AbbSum1039 - AbbSum1062 + 
     -   AbbSum1072 + AbbSum169 + AbbSum630 + AbbSum974
	AbbSum87 = -AbbSum65 + tmp16
	AbbSum86 = -AbbSum70 + tmp16
        AbbSum229 = Abb128 + AbbSum36 + AbbSum37 + AbbSum810 - 
     -   AbbSum857 + AbbSum901
        AbbSum766 = Abb10 + AbbSum157 + AbbSum174 + AbbSum185 - 
     -   AbbSum698 - AbbSum951 + AbbSum974
        AbbSum1007 = -Abb127 - Abb128 - Abb9 + AbbSum1080 + 
     -   AbbSum157 - AbbSum523 + AbbSum651 - AbbSum847
	AbbSum67 = -AbbSum57 - AbbSum7 + tmp16
	AbbSum89 = -AbbSum59 - AbbSum7 + tmp16
	AbbSum88 = -AbbSum57 + AbbSum7 + tmp16
	AbbSum63 = -AbbSum59 + AbbSum7 + tmp16
	AbbSum430 = -AbbSum721 + tmp18
	AbbSum422 = AbbSum721 + tmp18
	AbbSum411 = -AbbSum696 + tmp19
	AbbSum410 = AbbSum696 + tmp19
	AbbSum418 = -AbbSum730 + tmp20
	AbbSum429 = AbbSum730 + tmp20
        AbbSum82 = Abb62 + Abb63 + Abb64 + Abb65 - Abb70 - 
     -   Abb71 - Abb72 - Abb73 + Abb76 + Abb77 - Abb88 + Abb89 - 
     -   Abb90 + Abb91
        AbbSum120 = Abb111 + Abb112 + Abb113 + Abb114 - Abb115 + 
     -   Abb116 + Abb117 - Abb118 + Abb119 - Abb64 + Abb72 - 
     -   Abb80 + Abb85 - Abb91
        AbbSum426 = AbbSum1194 - AbbSum342 - AbbSum36 + 
     -   AbbSum770 - AbbSum815 + AbbSum848
        AbbSum1203 = -Abb10 - Abb128 + AbbSum1022 + AbbSum209 - 
     -   AbbSum255 - AbbSum665 + AbbSum815 - AbbSum974
	AbbSum148 = -AbbSum42 + tmp10
	AbbSum149 = AbbSum42 + tmp10
	AbbSum447 = Abb114 - Abb125 - AbbSum754 + tmp21
	AbbSum438 = Abb114 - Abb125 + AbbSum754 + tmp21
	AbbSum285 = -Abb10 + AbbSum169 + AbbSum981 + tmp23
	AbbSum287 = Abb10 - AbbSum169 - AbbSum981 + tmp23
	AbbSum358 = -Abb16 - AbbSum1044 + AbbSum437 + AbbSum534 + tmp24
	AbbSum349 = Abb16 + AbbSum1044 + AbbSum434 - AbbSum534 + tmp24
        AbbSum135 = Abb111 + Abb112 - Abb115 + Abb116 + Abb117 - 
     -   Abb118 + Abb119 - Abb123 + Abb124 + Abb125 - Abb126 - 
     -   Abb64 - Abb80 - Abb91 - Abb92
	AbbSum100 = AbbSum16 + tmp16
	AbbSum101 = -AbbSum16 + tmp16
        AbbSum733 = Abb12 - AbbSum523 - AbbSum532 - AbbSum651 - 
     -   AbbSum665 + AbbSum795 + AbbSum815 - AbbSum957
        AbbSum417 = Abb140 + Abb145 - Abb148 + Abb151 + Abb152 - 
     -   Abb63 - Abb82 - AbbSum444 + tmp21
	AbbSum131 = AbbSum124 - AbbSum44
	AbbSum132 = AbbSum124 + tmp25
	AbbSum127 = AbbSum124 - tmp25
	AbbSum133 = AbbSum124 + AbbSum44
	AbbSum466 = Abb10 - AbbSum434 + tmp26 + tmp27
	AbbSum467 = -Abb10 - AbbSum437 + tmp26 - tmp27
	AbbSum108 = AbbSum122 - AbbSum52 + tmp10
	AbbSum106 = AbbSum122 + AbbSum52 + tmp10
	AbbSum105 = AbbSum437 + tmp28 + tmp29
	AbbSum104 = AbbSum434 + tmp28 - tmp29
	AbbSum147 = AbbSum41 + tmp30
	AbbSum146 = -AbbSum41 + tmp30
	AbbSum56 = -AbbSum23 + AbbSum84 + tmp16
	AbbSum58 = AbbSum23 + AbbSum84 + tmp16
	AbbSum441 = tmp11 + tmp31
	AbbSum449 = tmp11 - tmp31
	AbbSum316 = AbbSum562 + tmp33
	AbbSum324 = -AbbSum562 + tmp33
	AbbSum355 = -AbbSum615 + tmp34
	AbbSum346 = AbbSum615 + tmp34
	AbbSum398 = -Abb50 + AbbSum441
	AbbSum405 = -Abb50 + AbbSum449
	AbbSum470 = AbbSum772 + tmp35
	AbbSum473 = -AbbSum772 + tmp35
	AbbSum382 = AbbSum653 + tmp37
	AbbSum379 = -AbbSum653 + tmp37
	AbbSum295 = -AbbSum113 + tmp38 + tmp39
	AbbSum293 = -AbbSum116 + tmp38 - tmp39
        AbbSum80 = -Abb59 - Abb60 - Abb61 + Abb63 + Abb64 + 
     -   Abb65 + Abb66 + Abb67 + Abb68 + Abb69 - Abb70 - Abb71 - 
     -   Abb72 - Abb73 - Abb74 - Abb75 + Abb76 + Abb77 + AbbSum298
	AbbSum373 = tmp40 + tmp41
	AbbSum377 = tmp40 - tmp41
	AbbSum468 = -AbbSum434 - AbbSum472 + tmp42 + tmp43
	AbbSum469 = -AbbSum437 - AbbSum475 + tmp42 - tmp43
	AbbSum60 = -Abb48 + Abb55 + AbbSum26 + AbbSum91 - tmp14
	AbbSum99 = Abb48 - AbbSum15 + AbbSum91 + tmp14
	AbbSum98 = Abb48 + AbbSum15 + AbbSum91 + tmp14
	AbbSum61 = -Abb48 + Abb55 - AbbSum26 + AbbSum91 - tmp14
	AbbSum290 = tmp44 + tmp45
	AbbSum292 = -tmp44 + tmp45
	AbbSum459 = tmp46 + tmp47
	AbbSum457 = tmp46 - tmp47
	AbbSum432 = -AbbSum733 + tmp48
	AbbSum435 = AbbSum733 + tmp48
        AbbSum263 = -Abb128 - Abb48 - Abb94 + AbbSum113 - 
     -   AbbSum1170 + AbbSum12 - AbbSum352 + AbbSum635 + 
     -   AbbSum648 - AbbSum901 + AbbSum975 + tmp49
        AbbSum267 = -Abb38 - Abb48 - Abb94 + AbbSum116 + 
     -   AbbSum255 - AbbSum648 + tmp49 - tmp54
	AbbSum403 = -Abb24 + AbbSum446 + tmp50 + tmp51
	AbbSum396 = Abb24 - AbbSum446 + tmp50 - tmp51
	AbbSum463 = AbbSum113 + AbbSum475 + tmp52 + tmp53
	AbbSum460 = AbbSum116 + AbbSum472 + tmp52 - tmp53
        AbbSum260 = -Abb38 + AbbSum113 - AbbSum424 + AbbSum8 - 
     -   AbbSum810 + tmp49 + tmp54
        AbbSum257 = -Abb38 + AbbSum116 - AbbSum424 - AbbSum8 + 
     -   AbbSum810 + tmp49 - tmp54
	end

	subroutine abbr_angle
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"

	cint8 = B0(T,0.D0,0.D0)
	cint9 = B0(T,0.D0,MZ2)
	cint10 = B0(T,MH2,MH2)
	cint11 = B0(T,MW2,MW2)
	cint12 = B0(T,MZ2,MZ2)
	cint13 = B0(U,MW2,MW2)
	cint39 = B00(T,0.D0,0.D0)
	cint40 = B1(T,0.D0,0.D0)
	cint49 = B00(T,MW2,MW2)
	cint50 = B1(T,MW2,MW2)
	cint51 = B1(T,MZ2,MZ2)
	cint52 = B0(T,MH2,MZ2)
	cint53 = B00(T,MH2,MZ2)
	iint16 = Cget(MW2,T,MW2,0.D0,MW2,MW2)
	iint18 = Cget(MW2,T,MW2,MH2,MW2,MW2)
	iint19 = Cget(MW2,T,MW2,MW2,0.D0,0.D0)
	iint20 = Cget(MW2,T,MW2,MW2,MH2,MH2)
	iint21 = Cget(MW2,T,MW2,MW2,0.D0,MZ2)
	iint22 = Cget(MW2,T,MW2,MW2,MZ2,0.D0)
	iint23 = Cget(MW2,T,MW2,MW2,MZ2,MZ2)
	iint24 = Cget(MW2,T,MW2,MZ2,MW2,MW2)
	iint25 = Cget(MW2,U,MW2,0.D0,MW2,MW2)
	iint26 = Cget(MW2,U,MW2,MH2,MW2,MW2)
	iint27 = Cget(MW2,U,MW2,MZ2,MW2,MW2)
	iint39 = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MW2,MW2,0.D0)
	iint40 = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MW2,MW2,MH2)
	iint41 = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MW2,MW2,MZ2)
	iint42 = Dget(MW2,S,MW2,T,MW2,MW2,MH2,MW2,MW2,0.D0)
	iint43 = Dget(MW2,S,MW2,T,MW2,MW2,MH2,MW2,MW2,MH2)
	iint44 = Dget(MW2,S,MW2,T,MW2,MW2,MH2,MW2,MW2,MZ2)
	iint45 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,0.D0,0.D0,MW2)
	iint46 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,0.D0,MH2,MW2)
	iint47 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MH2,0.D0,MW2)
	iint48 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MH2,MH2,MW2)
	iint49 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MH2,MZ2,MW2)
	iint50 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,0.D0,MZ2,MW2)
	iint51 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MZ2,0.D0,MW2)
	iint52 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MZ2,MH2,MW2)
	iint53 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MZ2,MZ2,MW2)
	iint54 = Dget(MW2,S,MW2,T,MW2,MW2,MZ2,MW2,MW2,0.D0)
	iint55 = Dget(MW2,S,MW2,T,MW2,MW2,MZ2,MW2,MW2,MH2)
	iint56 = Dget(MW2,S,MW2,T,MW2,MW2,MZ2,MW2,MW2,MZ2)
	iint57 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,0.D0,0.D0,MW2)
	iint58 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,0.D0,MH2,MW2)
	iint59 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MH2,0.D0,MW2)
	iint60 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MH2,MH2,MW2)
	iint61 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MH2,MZ2,MW2)
	iint62 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,0.D0,MZ2,MW2)
	iint63 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MZ2,0.D0,MW2)
	iint64 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MZ2,MH2,MW2)
	iint65 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MZ2,MZ2,MW2)
	iint66 = Cget(T,MW2,MW2,0.D0,0.D0,MW2)
	iint67 = Cget(T,MW2,MW2,0.D0,MZ2,MW2)
	iint68 = Cget(T,MW2,MW2,0.D0,MH2,MW2)
	iint69 = Cget(T,MW2,MW2,MH2,0.D0,MW2)
	iint70 = Cget(T,MW2,MW2,MZ2,0.D0,MW2)
	iint71 = Cget(T,MW2,MW2,MH2,MZ2,MW2)
	iint72 = Cget(T,MW2,MW2,MZ2,MH2,MW2)
	iint73 = Cget(T,MW2,MW2,MZ2,MZ2,MW2)
	iint74 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,0.D0,0.D0,MW2)
	iint75 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,0.D0,MH2,MW2)
	iint76 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MH2,0.D0,MW2)
	iint77 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MH2,MH2,MW2)
	iint78 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MH2,MZ2,MW2)
	iint79 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,0.D0,MZ2,MW2)
	iint80 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MZ2,0.D0,MW2)
	iint81 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MZ2,MH2,MW2)
	iint82 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MZ2,MZ2,MW2)
	iint93 = Cget(MW2,T,MW2,MW2,MH2,MZ2)
	iint94 = Cget(MW2,T,MW2,MW2,MZ2,MH2)

	do Gen1 = 1, 3
	cint25(Gen1) = B00(T,MLE2(Gen1),MLE2(Gen1))
	cint26(Gen1) = B00(T,MQD2(Gen1),MQD2(Gen1))
	cint27(Gen1) = B00(T,MQU2(Gen1),MQU2(Gen1))
	cint28(Gen1) = B1(T,MLE2(Gen1),MLE2(Gen1))
	cint29(Gen1) = B1(T,MQD2(Gen1),MQD2(Gen1))
	cint30(Gen1) = B1(T,MQU2(Gen1),MQU2(Gen1))
	cint34(Gen1) = B0(T,MLE2(Gen1),MLE2(Gen1))
	cint35(Gen1) = B0(T,MQD2(Gen1),MQD2(Gen1))
	cint36(Gen1) = B0(T,MQU2(Gen1),MQU2(Gen1))
        iint5(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MLE2(Gen1),
     -   MLE2(Gen1),0.D0)
        iint6(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,MLE2(Gen1),0.D0,0.D0,
     -   MLE2(Gen1))
        iint7(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,MQD2(Gen1),
     -   MQU2(Gen1),MQU2(Gen1),MQD2(Gen1))
        iint8(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,MQU2(Gen1),
     -   MQD2(Gen1),MQD2(Gen1),MQU2(Gen1))
	iint86(Gen1) = Cget(MW2,T,MW2,0.D0,MLE2(Gen1),MLE2(Gen1))
	iint87(Gen1) = Cget(MW2,T,MW2,MQU2(Gen1),MQD2(Gen1),MQD2(Gen1))
	iint88(Gen1) = Cget(MW2,T,MW2,MQD2(Gen1),MQU2(Gen1),MQU2(Gen1))
	iint89(Gen1) = Cget(MW2,T,MW2,MLE2(Gen1),0.D0,0.D0)
	enddo
	end
